Debian Bug report logs - #254113
Extra space between lines in new version of ttf-freefont

version graph

Package: ttf-freefont; Maintainer for ttf-freefont is Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>; Source for ttf-freefont is src:fonts-freefont.

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Sun, 13 Jun 2004 01:03:03 UTC

Severity: important

Tags: help

Merged with 254670

Found in versions 20031008-1, ttf-freefont/20051206-1, ttf-freefont/20051206-2, ttf-freefont/20060126-1

Fixed in versions ttf-freefont/20031008-1.1, ttf-freefont/20060501cvs-7

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://savannah.nongnu.org/bugs/?func=detailitem&item_id=15956

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Peter Hawkins <peterh@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh.trip@verizon.net>:
New Bug report received and forwarded. Copy sent to Peter Hawkins <peterh@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh.trip@verizon.net>
To: submit@bugs.debian.org
Subject: Extra space between lines in new version of ttf-freefont
Date: Sat, 12 Jun 2004 17:49:15 -0700
Package: ttf-freefont
Version: 20031008-1

When I upgraded to version 20031008-1 of ttf-freefont, all programs
using the fonts started showing extra space between lines of text
written in the fonts.  Downgrading to the previous version, 20030519-1,
fixes this spacing problem.  A screenshot of the correct rendering with
20030519-1 is available at
http://linuxlab.cs.pdx.edu/~tripletj/ttf-freefont-spacing-problem/20030519-1.png
, and a screenshot of the incorrect rendering with 20031008-1 is
available at
http://linuxlab.cs.pdx.edu/~tripletj/ttf-freefont-spacing-problem/20031008-1.png
.

- Josh Triplett




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Peter Hawkins <peterh@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 254113@bugs.debian.org (full text, mbox):

From: Peter Hawkins <peterh@debian.org>
To: control@bugs.debian.org
Cc: 254113@bugs.debian.org
Subject: Reassigning bug to fontforge
Date: Mon, 14 Jun 2004 15:12:59 +1000
clone 254113 -1
reassign -1 fontforge
thanks

Hi...

I think this is a bug in fontforge (dating from when it was still called
pfaedit). The extra space occurs in recent versions of fontforge. If I
try building ttf-freefont with pfaedit 0.0.20030313-2 the extra space does
not occur.

Suggestions?

=)
Peter



Bug 254113 cloned as bug 254295. Request was from Peter Hawkins <peterh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 254113 254670. Request was from Josh Triplett <josh.trip@verizon.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Hawkins <peterh@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Sam Halliday <fommil@yahoo.ie>:
Extra info received and forwarded to list. Copy sent to Peter Hawkins <peterh@debian.org>. Full text and rfc822 format available.

Message #19 received at 254113@bugs.debian.org (full text, mbox):

From: Sam Halliday <fommil@yahoo.ie>
To: 254113@bugs.debian.org
Subject: Re: Extra space between lines in new version of ttf-freefont
Date: Sat, 3 Jul 2004 17:03:59 +0100
[Message part 1 (text/plain, inline)]
hi,

i am also getting this incredibly annoying bug... how long until freefont-ttf
will be rebuilt correctly? its been almost 3 weeks now and these fonts are
unusable!!

cheers,
Sam
-- 
Free High School Science Texts
  http://www.nongnu.org/fhsst/
Sam's Homepages
  http://fommil.homeunix.org/~samuel/
  http://www.ma.hw.ac.uk/~samuel/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Hawkins <peterh@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Peter Hawkins <peter@hawkins.emu.id.au>:
Extra info received and forwarded to list. Copy sent to Peter Hawkins <peterh@debian.org>. Full text and rfc822 format available.

Message #24 received at 254113@bugs.debian.org (full text, mbox):

From: Peter Hawkins <peter@hawkins.emu.id.au>
To: Sam Halliday <fommil@yahoo.ie>, 254113@bugs.debian.org
Subject: Re: Bug#254113: Extra space between lines in new version of ttf-freefont
Date: Sun, 4 Jul 2004 09:55:11 +1000
Hi...
On Sun, 4 Jul 2004 02:03 am, Sam Halliday wrote:
> hi,
>
> i am also getting this incredibly annoying bug... how long until
> freefont-ttf will be rebuilt correctly? its been almost 3 weeks now and
> these fonts are unusable!!

The problem is that I have no real idea how to fix the bug. It's actually due 
to fontforge changing its interpretation of the fonts (even reverting the 
fonts to an old version doesn't fix it). Upstream has gone missing, so I 
can't ask them. I know very little about fonts, so I can't fix them myself.

If you know how to fix it, I'd love to hear about it.

I've also put this package up for adoption, since I no longer use it myself (I 
use the bitstream fonts now).

=)
Peter



Tags added: help Request was from phawkins@trinity.unimelb.edu.au (Peter HAWKINS) to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `grave'. Request was from Josh Triplett <josh.trip@verizon.net> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Josh Triplett <josh.trip@verizon.net>:
Bug#254113. Full text and rfc822 format available.

Message #31 received at 254113-submitter@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@aglu.demon.nl>
To: 254113-submitter@bugs.debian.org
Subject: Really an RC bug?
Date: Sun, 22 Aug 2004 12:37:47 +0200
I have been using ttf-freefont for a long time.  I know of no other
free unicode font with so many glyphs.  I use a number of rather
obscure glyphs in my work so the package has been very useful to me.
I noticed the increase in line spacing in the latest release but for
my purposes this made little difference.  The font is still quite
usable.

Because you have decided to escalate the severity of this bug report
to RC level, you are forcing the removal of ttf-freefont from sarge.
I am curious about what justification you think you have for raising
the severity to Grave.
--
Thomas Hood




Information stored:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh.trip@verizon.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #36 received at 254113-quiet@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh.trip@verizon.net>
To: Thomas Hood <jdthood@aglu.demon.nl>, 254113-quiet@bugs.debian.org
Subject: Re: Bug#254113: Really an RC bug?
Date: Sun, 22 Aug 2004 12:54:00 -0700
[Message part 1 (text/plain, inline)]
Thomas Hood wrote:
> I have been using ttf-freefont for a long time.  I know of no other
> free unicode font with so many glyphs.  I use a number of rather
> obscure glyphs in my work so the package has been very useful to me.
> I noticed the increase in line spacing in the latest release but for
> my purposes this made little difference.  The font is still quite
> usable.
> 
> Because you have decided to escalate the severity of this bug report
> to RC level, you are forcing the removal of ttf-freefont from sarge.
> I am curious about what justification you think you have for raising
> the severity to Grave.

I use ttf-freefont for every font on my system, and I strongly wish for
it to be included in Sarge as well, but not in its current state.  I
have been trying to fix the bug, but I have not had much luck.  (See
also the cloned bug against fontforge,
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=254295 .)

If the issue were only that the font is less asthetically pleasing, the
bug would probably only be normal or important.  I put the bug as RC
because of many functional issues that made the font completely unusable
for me (I have the previous version on hold, but temporarily installed
the new one again to take these screenshots):

* With FreeMono in a terminal, the extra space breaks ncurses-style
applications, because the line-drawing and other graphical characters do
not connect.  See
http://linuxlab.cs.pdx.edu/~tripletj/ttf-freefont-spacing-problem/freemono-in-terminal.png
for an example.

* The additional spacing makes far less information fit in the same
areas.  In the picture above, the terminal is 80x15; with the non-broken
version, a terminal of the same size is 80x25.  Similar issues are
present with almost every single X application on my system.  Window
titles, menus, and toolbars are also much taller, further reducing
usable screen space.

* The excessive spacing badly breaks the layout in many programs.  For
example, see
http://linuxlab.cs.pdx.edu/~tripletj/ttf-freefont-spacing-problem/mozilla-mail.png
.  Notice how the text overlaps the bottom of some of the widgets, such
as dropdowns.  Also notice the excessive space between the headers.

* Many others (both in person and on #debian) have encountered the same
issues; in all cases, they either reverted to the previous version and
put it on hold (which was my recommendation), or they had already purged
it and started using ttf-bitstream-vera instead.  They all found it to
be broken and unusable as well, not just less asthetically pleasing.

For all these reasons, I find version 20031008-1 to be completely
unusable, and I do not believe it should release with Sarge in its
current state.

Ideally, the bug could be fixed before Sarge releases.  Regardless,
ttf-freefont is not being removed from Sarge, because some packages
depend on it.  (Such packages should really depend on any font, rather
than this one in particular, but nevertheless that is not the case, so
ttf-freefont cannot be removed without removing those packages as well.)

- Josh Triplett
[signature.asc (application/pgp-signature, attachment)]

Information stored:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@aglu.demon.nl>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #41 received at 254113-quiet@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@aglu.demon.nl>
To: Josh Triplett <josh.trip@verizon.net>
Cc: 254113-quiet@bugs.debian.org
Subject: Re: Bug#254113: Really an RC bug?
Date: Sun, 22 Aug 2004 22:01:17 +0200
Thanks for the explanation.
--
Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, Peter Hawkins <peterh@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh.trip@verizon.net>:
Extra info received and forwarded to list. Copy sent to Peter Hawkins <peterh@debian.org>. Full text and rfc822 format available.

Message #46 received at 254113@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh.trip@verizon.net>
To: 254295@bugs.debian.org, 254113@bugs.debian.org, Thomas Hood <jdthood@aglu.demon.nl>, joshk@triplehelix.org
Subject: Patch to workaround fontforge bug
Date: Sat, 28 Aug 2004 23:41:46 -0700
[Message part 1 (text/plain, inline)]
The attached patch (also available at
http://linuxlab.cs.pdx.edu/~tripletj/ttf-freefont-spacing-problem/ttf-freefont-workaround-fontforge-bug.patch
) works around the bug in fontforge, by using the HheadAscent and
HheadDescent values to correct the incorrectly calculated Ascent and
Descent values.  With this patch, the generated fonts appear to be
identical to those of the previous working version of ttf-freefont.
Note that this is a workaround, not a fix; when the underlying bug is
fixed, this patch should be removed.

- Josh Triplett
[ttf-freefont-workaround-fontforge-bug.patch (text/x-patch, inline)]
diff -Naur ttf-freefont-20031008.orig/debian/control ttf-freefont-20031008/debian/control
--- ttf-freefont-20031008.orig/debian/control	2004-06-11 16:54:59.000000000 -0700
+++ ttf-freefont-20031008/debian/control	2004-08-28 22:40:17.000000000 -0700
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Peter Hawkins <peterh@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), defoma (>= 0.7.0), fontforge
+Build-Depends-Indep: debhelper (>> 3.0.0), defoma (>= 0.7.0), fontforge, patch
 Standards-Version: 3.6.1
 
 Package: ttf-freefont
diff -Naur ttf-freefont-20031008.orig/debian/fontforge-bug-workaround.patch ttf-freefont-20031008/debian/fontforge-bug-workaround.patch
--- ttf-freefont-20031008.orig/debian/fontforge-bug-workaround.patch	1969-12-31 16:00:00.000000000 -0800
+++ ttf-freefont-20031008/debian/fontforge-bug-workaround.patch	2004-08-28 22:47:05.000000000 -0700
@@ -0,0 +1,150 @@
+This patch works around a bug in fontforge: it ignores the Ascent and Descent
+values specified in the sfd, and supplies its own incorrect values.  It also
+adds the HheadAscent and HheadDescent value to its own values, so this patch
+uses these values to correct the calculated values back to the correct values.
+This patch should be reviewed when the bug in fontforge is fixed.
+
+diff -Naur sfd.orig/FreeMono.sfd sfd/FreeMono.sfd
+--- sfd.orig/FreeMono.sfd	2003-10-02 12:55:14.000000000 -0700
++++ sfd/FreeMono.sfd	2004-08-28 22:25:34.000000000 -0700
+@@ -10,6 +10,8 @@
+ UnderlineWidth: 50
+ Ascent: 800
+ Descent: 200
++HheadAscent: -257
++HheadDescent: 119
+ NeedsXUIDChange: 1
+ FSType: 0
+ PfmFamily: 49
+diff -Naur sfd.orig/FreeMonoBold.sfd sfd/FreeMonoBold.sfd
+--- sfd.orig/FreeMonoBold.sfd	2003-10-02 12:55:14.000000000 -0700
++++ sfd/FreeMonoBold.sfd	2004-08-28 22:27:14.000000000 -0700
+@@ -10,6 +10,8 @@
+ UnderlineWidth: 50
+ Ascent: 800
+ Descent: 200
++HheadAscent: -355
++HheadDescent: 165
+ NeedsXUIDChange: 1
+ FSType: 0
+ PfmFamily: 49
+diff -Naur sfd.orig/FreeMonoBoldOblique.sfd sfd/FreeMonoBoldOblique.sfd
+--- sfd.orig/FreeMonoBoldOblique.sfd	2003-10-02 12:55:15.000000000 -0700
++++ sfd/FreeMonoBoldOblique.sfd	2004-08-28 22:29:57.000000000 -0700
+@@ -10,6 +10,8 @@
+ UnderlineWidth: 50
+ Ascent: 800
+ Descent: 200
++HheadAscent: -311
++HheadDescent: 78
+ NeedsXUIDChange: 1
+ FSType: 0
+ PfmFamily: 49
+diff -Naur sfd.orig/FreeMonoOblique.sfd sfd/FreeMonoOblique.sfd
+--- sfd.orig/FreeMonoOblique.sfd	2003-10-08 05:18:17.000000000 -0700
++++ sfd/FreeMonoOblique.sfd	2004-08-28 22:31:48.000000000 -0700
+@@ -10,6 +10,8 @@
+ UnderlineWidth: 50
+ Ascent: 800
+ Descent: 200
++HheadAscent: -200
++HheadDescent: 73
+ NeedsXUIDChange: 1
+ FSType: 0
+ PfmFamily: 49
+diff -Naur sfd.orig/FreeSans.sfd sfd/FreeSans.sfd
+--- sfd.orig/FreeSans.sfd	2003-10-02 12:55:16.000000000 -0700
++++ sfd/FreeSans.sfd	2004-08-28 22:23:01.000000000 -0700
+@@ -10,6 +10,8 @@
+ UnderlineWidth: 50
+ Ascent: 800
+ Descent: 200
++HheadAscent: -341
++HheadDescent: 259
+ NeedsXUIDChange: 1
+ FSType: 0
+ PfmFamily: 33
+diff -Naur sfd.orig/FreeSansBold.sfd sfd/FreeSansBold.sfd
+--- sfd.orig/FreeSansBold.sfd	2003-09-12 06:53:37.000000000 -0700
++++ sfd/FreeSansBold.sfd	2004-08-28 22:36:16.000000000 -0700
+@@ -10,6 +10,8 @@
+ UnderlineWidth: 69
+ Ascent: 800
+ Descent: 200
++HheadAscent: -359
++HheadDescent: 155
+ NeedsXUIDChange: 1
+ FSType: 0
+ PfmFamily: 33
+diff -Naur sfd.orig/FreeSansBoldOblique.sfd sfd/FreeSansBoldOblique.sfd
+--- sfd.orig/FreeSansBoldOblique.sfd	2003-10-02 13:08:31.000000000 -0700
++++ sfd/FreeSansBoldOblique.sfd	2004-08-28 22:36:05.000000000 -0700
+@@ -10,6 +10,8 @@
+ UnderlineWidth: 69
+ Ascent: 800
+ Descent: 200
++HheadAscent: -179
++HheadDescent: 109
+ NeedsXUIDChange: 1
+ FSType: 0
+ PfmFamily: 33
+diff -Naur sfd.orig/FreeSansOblique.sfd sfd/FreeSansOblique.sfd
+--- sfd.orig/FreeSansOblique.sfd	2003-10-02 12:55:16.000000000 -0700
++++ sfd/FreeSansOblique.sfd	2004-08-28 22:35:52.000000000 -0700
+@@ -10,6 +10,8 @@
+ UnderlineWidth: 50
+ Ascent: 800
+ Descent: 200
++HheadAscent: -341
++HheadDescent: 219
+ NeedsXUIDChange: 1
+ FSType: 0
+ PfmFamily: 33
+diff -Naur sfd.orig/FreeSerif.sfd sfd/FreeSerif.sfd
+--- sfd.orig/FreeSerif.sfd	2003-10-04 10:51:38.000000000 -0700
++++ sfd/FreeSerif.sfd	2004-08-28 22:35:13.000000000 -0700
+@@ -10,6 +10,8 @@
+ UnderlineWidth: 50
+ Ascent: 800
+ Descent: 200
++HheadAscent: -366
++HheadDescent: 246
+ NeedsXUIDChange: 1
+ FSType: 0
+ PfmFamily: 17
+diff -Naur sfd.orig/FreeSerifBold.sfd sfd/FreeSerifBold.sfd
+--- sfd.orig/FreeSerifBold.sfd	2003-10-02 12:55:18.000000000 -0700
++++ sfd/FreeSerifBold.sfd	2004-08-28 22:35:02.000000000 -0700
+@@ -10,6 +10,8 @@
+ UnderlineWidth: 50
+ Ascent: 800
+ Descent: 200
++HheadAscent: -373
++HheadDescent: 288
+ NeedsXUIDChange: 1
+ FSType: 0
+ PfmFamily: 17
+diff -Naur sfd.orig/FreeSerifBoldItalic.sfd sfd/FreeSerifBoldItalic.sfd
+--- sfd.orig/FreeSerifBoldItalic.sfd	2003-10-08 05:18:19.000000000 -0700
++++ sfd/FreeSerifBoldItalic.sfd	2004-08-28 22:34:48.000000000 -0700
+@@ -10,6 +10,8 @@
+ UnderlineWidth: 50
+ Ascent: 800
+ Descent: 200
++HheadAscent: -371
++HheadDescent: 288
+ NeedsXUIDChange: 1
+ FSType: 0
+ PfmFamily: 17
+diff -Naur sfd.orig/FreeSerifItalic.sfd sfd/FreeSerifItalic.sfd
+--- sfd.orig/FreeSerifItalic.sfd	2003-10-08 05:18:19.000000000 -0700
++++ sfd/FreeSerifItalic.sfd	2004-08-28 22:34:33.000000000 -0700
+@@ -10,6 +10,8 @@
+ UnderlineWidth: 50
+ Ascent: 800
+ Descent: 200
++HheadAscent: -322
++HheadDescent: 238
+ NeedsXUIDChange: 1
+ FSType: 0
+ PfmFamily: 17
diff -Naur ttf-freefont-20031008.orig/debian/rules ttf-freefont-20031008/debian/rules
--- ttf-freefont-20031008.orig/debian/rules	2003-10-18 21:35:22.000000000 -0700
+++ ttf-freefont-20031008/debian/rules	2004-08-28 22:48:31.000000000 -0700
@@ -35,7 +35,9 @@
 	dh_testdir
 	
 	tar xvf freefont-sfd.tar
-	(cd sfd; make -f ../Makefile)
+	(cd sfd \
+	 && patch -p1 < ../debian/fontforge-bug-workaround.patch \
+	 && make -f ../Makefile)
 
 	touch build-stamp
 
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Hawkins <peterh@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@aglu.demon.nl>:
Extra info received and forwarded to list. Copy sent to Peter Hawkins <peterh@debian.org>. Full text and rfc822 format available.

Message #51 received at 254113@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@aglu.demon.nl>
To: Josh Triplett <josh.trip@verizon.net>
Cc: 254295@bugs.debian.org, 254113@bugs.debian.org, joshk@triplehelix.org
Subject: Re: Patch to workaround fontforge bug
Date: Sun, 29 Aug 2004 10:23:36 +0200
On Sun, 2004-08-29 at 08:41, Josh Triplett wrote:
> The attached patch (also available at
> http://linuxlab.cs.pdx.edu/~tripletj/ttf-freefont-spacing-problem/ttf-freefont-workaround-fontforge-bug.patch
> ) works around the bug in fontforge, by using the HheadAscent and
> HheadDescent values to correct the incorrectly calculated Ascent and
> Descent values.


Thanks for the patch.

How do you think fontforge is misbehaving?
--
Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, Peter Hawkins <peterh@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@aglu.demon.nl>:
Extra info received and forwarded to list. Copy sent to Peter Hawkins <peterh@debian.org>. Full text and rfc822 format available.

Message #56 received at 254113@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@aglu.demon.nl>
To: 254113-submitter@bugs.debian.org, 254113@bugs.debian.org
Subject: Update from a member of the freefont upstream team
Date: Sun, 29 Aug 2004 13:19:28 +0200
-----Forwarded Message-----
From: Panos <terataki@yahoo.com>
To: Thomas Hood <jdthood@aglu.demon.nl>
Subject: Re: freefont?
Date: Sun, 29 Aug 2004 04:01:26 -0700

 --- Thomas Hood <jdthood@aglu.demon.nl> έγραψε: 
> Hello.  As a participant in the freefont project at
> Savannah I was hoping that you would be able to give
> me some idea of what is happening in the project.
> 
> The ttf-freefont package is threatened with removal
> from Debian on the grounds (among others) that
> upstream is inactive.
> --
> Thomas Hood


I know about that. Actually I am in contact with
Margariris (markos@debian.org) in order that he will
adopt the package and I'll help him with the fonts.

We are thinking of rebuilding the CVS somewhere else.

[...]




Message sent on to Josh Triplett <josh.trip@verizon.net>:
Bug#254113. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Hawkins <peterh@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh.trip@verizon.net>:
Extra info received and forwarded to list. Copy sent to Peter Hawkins <peterh@debian.org>. Full text and rfc822 format available.

Message #64 received at 254113@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh.trip@verizon.net>
To: 254113@bugs.debian.org
Subject: NMU uploaded to DELAYED/2-day
Date: Sun, 29 Aug 2004 19:10:42 -0700
[Message part 1 (text/plain, inline)]
I uploaded an NMU fixing this bug (sponsored by Joshua Kwan) to the
DELAYED/2-day queue.  The only change other than the patch already submitted to
this bug report is the following addition to the changelog:

ttf-freefont (20031008-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High urgency due to fix for release-critical bug.
  * debian/fontforge-bug-workaround.patch: This patch works around a bug
    in fontforge: it ignores the Ascent and Descent values specified in
    the sfd, and supplies its own incorrect values.  It also adds the
    HheadAscent and HheadDescent value to its own values, so this patch
    uses these values to correct the calculated values back to the correct
    values.  This patch should be reviewed when the bug in fontforge is
    fixed.  (closes: #254113)
  * debian/control: Add Build-Depends on patch.
  * debian/rules: Apply the patch.

 -- Josh Triplett <josh.trip@verizon.net>  Sun, 29 Aug 2004 11:05:50 -0700

The .changes file for the upload is available at
http://people.debian.org/~djpig/delayed/ttf-freefont_20031008-1.1_i386.changes ,
and the .tar.gz and .dsc are available at
http://linuxlab.cs.pdx.edu/~tripletj/ttf-freefont-spacing-problem/ .

This NMU will be automatically uploaded in 2 days; if you would like to prevent
that, you can either upload a new fixed version to unstable, which will
supersede this upload, or you can contact Joshua Kwan and ask him to remove the
upload.

- Josh Triplett

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Hawkins <peterh@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh.trip@verizon.net>:
Extra info received and forwarded to list. Copy sent to Peter Hawkins <peterh@debian.org>. Full text and rfc822 format available.

Message #69 received at 254113@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh.trip@verizon.net>
To: Thomas Hood <jdthood@aglu.demon.nl>
Cc: 254295@bugs.debian.org, 254113@bugs.debian.org, joshk@triplehelix.org
Subject: Re: Patch to workaround fontforge bug
Date: Mon, 30 Aug 2004 20:49:39 -0700
[Message part 1 (text/plain, inline)]
Thomas Hood wrote:
> On Sun, 2004-08-29 at 08:41, Josh Triplett wrote:
>>The attached patch (also available at
>>http://linuxlab.cs.pdx.edu/~tripletj/ttf-freefont-spacing-problem/ttf-freefont-workaround-fontforge-bug.patch
>>) works around the bug in fontforge, by using the HheadAscent and
>>HheadDescent values to correct the incorrectly calculated Ascent and
>>Descent values.
> 
> Thanks for the patch.
> 
> How do you think fontforge is misbehaving?

I'm not entirely sure.  I believe that first of all, fontforge should not ignore
the Ascent and Descent values specified in the .sfd file in favor of computing
them itself; at a minimum, this behavior should be made optional (and preferably
off by default).  Second, I believe (though I am not sure) that fontforge may be
computing its own Ascent and Descent values incorrectly.  However, I do not have
enough font expertise to track down such a bug.

- Josh Triplett
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Hawkins <peterh@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Chanop Silpa-Anan <chanop@thai.anu.edu.au>:
Extra info received and forwarded to list. Copy sent to Peter Hawkins <peterh@debian.org>. Full text and rfc822 format available.

Message #74 received at 254113@bugs.debian.org (full text, mbox):

From: Chanop Silpa-Anan <chanop@thai.anu.edu.au>
To: Josh Triplett <josh.trip@verizon.net>, 254295@bugs.debian.org
Cc: Thomas Hood <jdthood@aglu.demon.nl>, 254113@bugs.debian.org, joshk@triplehelix.org
Subject: Re: Bug#254295: Patch to workaround fontforge bug
Date: Tue, 31 Aug 2004 14:14:14 +1000
[Message part 1 (text/plain, inline)]
Well,

I will post the patch to fontforge author to get his opinion first
before applying this patch for Debian. There are so many issues in
ascender/descender value regarding both font and application sides.


Cheers,

Chanop

On a good day of Mon, Aug 30, 2004 at 08:49:39PM -0700, Josh Triplett wrote

> Thomas Hood wrote:
> > On Sun, 2004-08-29 at 08:41, Josh Triplett wrote:
> >>The attached patch (also available at
> >>http://linuxlab.cs.pdx.edu/~tripletj/ttf-freefont-spacing-problem/ttf-freefont-workaround-fontforge-bug.patch
> >>) works around the bug in fontforge, by using the HheadAscent and
> >>HheadDescent values to correct the incorrectly calculated Ascent and
> >>Descent values.
> > 
> > Thanks for the patch.
> > 
> > How do you think fontforge is misbehaving?
> 
> I'm not entirely sure.  I believe that first of all, fontforge should not ignore
> the Ascent and Descent values specified in the .sfd file in favor of computing
> them itself; at a minimum, this behavior should be made optional (and preferably
> off by default).  Second, I believe (though I am not sure) that fontforge may be
> computing its own Ascent and Descent values incorrectly.  However, I do not have
> enough font expertise to track down such a bug.
> 
> - Josh Triplett

[signature.asc (application/pgp-signature, inline)]

Tags added: fixed Request was from Josh Triplett <josh.trip@verizon.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Konstantinos Margaritis <markos@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Josh Triplett <josh.trip@verizon.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #81 received at 254113-close@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@debian.org>
To: 254113-close@bugs.debian.org
Subject: Bug#254113: fixed in ttf-freefont 20051102-1
Date: Wed, 02 Nov 2005 11:02:30 -0800
Source: ttf-freefont
Source-Version: 20051102-1

We believe that the bug you reported is fixed in the latest version of
ttf-freefont, which is due to be installed in the Debian FTP archive:

ttf-freefont-udeb_20051102-1_all.udeb
  to pool/main/t/ttf-freefont/ttf-freefont-udeb_20051102-1_all.udeb
ttf-freefont_20051102-1.diff.gz
  to pool/main/t/ttf-freefont/ttf-freefont_20051102-1.diff.gz
ttf-freefont_20051102-1.dsc
  to pool/main/t/ttf-freefont/ttf-freefont_20051102-1.dsc
ttf-freefont_20051102-1_all.deb
  to pool/main/t/ttf-freefont/ttf-freefont_20051102-1_all.deb
ttf-freefont_20051102.orig.tar.gz
  to pool/main/t/ttf-freefont/ttf-freefont_20051102.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 254113@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Konstantinos Margaritis <markos@debian.org> (supplier of updated ttf-freefont package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed,  2 Nov 2005 18:44:23 +0200
Source: ttf-freefont
Binary: ttf-freefont-udeb ttf-freefont
Architecture: source all
Version: 20051102-1
Distribution: unstable
Urgency: low
Maintainer: Konstantinos Margaritis <markos@debian.org>
Changed-By: Konstantinos Margaritis <markos@debian.org>
Description: 
 ttf-freefont - Freefont Serif, Sans and Mono Truetype fonts
 ttf-freefont-udeb - Freefont Serif, Sans and Mono Truetype fonts (udeb)
Closes: 254113 254670 255277 275759 321366
Changes: 
 ttf-freefont (20051102-1) unstable; urgency=low
 .
   * New maintainer (Closes: #255277)
   * New upstream version, Savannah is back online. (Closes: #321366, #275759)
   * Closes left-over bugs (Closes: #254670, #254113)
   * Slight package redesign
Files: 
 64d9b34a0ddde5bd2ac2afb827c58f1c 665 x11 optional ttf-freefont_20051102-1.dsc
 9184dfc4c64e801d9ca0e8fcabdd6a2c 3013743 x11 optional ttf-freefont_20051102.orig.tar.gz
 714439bafd82bab8aba5b9b37fa23567 5731 x11 optional ttf-freefont_20051102-1.diff.gz
 b33df2883afc2d12b8c5a825fc81a53a 1147054 x11 optional ttf-freefont_20051102-1_all.deb
 42e192a926e8be6446d726355290ae14 1139198 debian-installer optional ttf-freefont-udeb_20051102-1_all.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDaQhlIU9oQVFfm3QRAsa0AJ4nbkKo7YrZCjfKMwQCAx0CMrQxdACePBaV
oirrJwAQxiJ6EdN0d2Up9vo=
=+A8G
-----END PGP SIGNATURE-----




Reply sent to Konstantinos Margaritis <markos@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Josh Triplett <josh.trip@verizon.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #86 received at 254670-close@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@debian.org>
To: 254670-close@bugs.debian.org
Subject: Bug#254670: fixed in ttf-freefont 20051102-1
Date: Wed, 02 Nov 2005 11:02:30 -0800
Source: ttf-freefont
Source-Version: 20051102-1

We believe that the bug you reported is fixed in the latest version of
ttf-freefont, which is due to be installed in the Debian FTP archive:

ttf-freefont-udeb_20051102-1_all.udeb
  to pool/main/t/ttf-freefont/ttf-freefont-udeb_20051102-1_all.udeb
ttf-freefont_20051102-1.diff.gz
  to pool/main/t/ttf-freefont/ttf-freefont_20051102-1.diff.gz
ttf-freefont_20051102-1.dsc
  to pool/main/t/ttf-freefont/ttf-freefont_20051102-1.dsc
ttf-freefont_20051102-1_all.deb
  to pool/main/t/ttf-freefont/ttf-freefont_20051102-1_all.deb
ttf-freefont_20051102.orig.tar.gz
  to pool/main/t/ttf-freefont/ttf-freefont_20051102.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 254670@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Konstantinos Margaritis <markos@debian.org> (supplier of updated ttf-freefont package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed,  2 Nov 2005 18:44:23 +0200
Source: ttf-freefont
Binary: ttf-freefont-udeb ttf-freefont
Architecture: source all
Version: 20051102-1
Distribution: unstable
Urgency: low
Maintainer: Konstantinos Margaritis <markos@debian.org>
Changed-By: Konstantinos Margaritis <markos@debian.org>
Description: 
 ttf-freefont - Freefont Serif, Sans and Mono Truetype fonts
 ttf-freefont-udeb - Freefont Serif, Sans and Mono Truetype fonts (udeb)
Closes: 254113 254670 255277 275759 321366
Changes: 
 ttf-freefont (20051102-1) unstable; urgency=low
 .
   * New maintainer (Closes: #255277)
   * New upstream version, Savannah is back online. (Closes: #321366, #275759)
   * Closes left-over bugs (Closes: #254670, #254113)
   * Slight package redesign
Files: 
 64d9b34a0ddde5bd2ac2afb827c58f1c 665 x11 optional ttf-freefont_20051102-1.dsc
 9184dfc4c64e801d9ca0e8fcabdd6a2c 3013743 x11 optional ttf-freefont_20051102.orig.tar.gz
 714439bafd82bab8aba5b9b37fa23567 5731 x11 optional ttf-freefont_20051102-1.diff.gz
 b33df2883afc2d12b8c5a825fc81a53a 1147054 x11 optional ttf-freefont_20051102-1_all.deb
 42e192a926e8be6446d726355290ae14 1139198 debian-installer optional ttf-freefont-udeb_20051102-1_all.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDaQhlIU9oQVFfm3QRAsa0AJ4nbkKo7YrZCjfKMwQCAx0CMrQxdACePBaV
oirrJwAQxiJ6EdN0d2Up9vo=
=+A8G
-----END PGP SIGNATURE-----




Changed Bug submitter from Josh Triplett <josh.trip@verizon.net> to Josh Triplett <josh@freedesktop.org>. Request was from Josh Triplett <josh@freedesktop.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Barbier <zuchtstudmail@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #93 received at 254113@bugs.debian.org (full text, mbox):

From: Nicolas Barbier <zuchtstudmail@yahoo.com>
To: Debian Bug Tracking System <254113@bugs.debian.org>
Subject: ttf-freefont: This problem seems to be back
Date: Mon, 09 Jan 2006 15:09:53 +0100
Package: ttf-freefont
Version: 20051206-1
Followup-For: Bug #254113


I just upgraded my system, and seem to have the symptoms described in this bug.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14-2-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages ttf-freefont depends on:
ii  defoma                        0.11.8-0.1 Debian Font Manager -- automatic f

Versions of packages ttf-freefont recommends:
ii  x-ttcidfont-conf              21         Configure TrueType and CID fonts f

-- no debconf information



Reply sent to Konstantinos Margaritis <markos@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@freedesktop.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #98 received at 254113-close@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@debian.org>
To: 254113-close@bugs.debian.org
Subject: Bug#254113: fixed in ttf-freefont 20051206-2
Date: Mon, 09 Jan 2006 06:47:46 -0800
Source: ttf-freefont
Source-Version: 20051206-2

We believe that the bug you reported is fixed in the latest version of
ttf-freefont, which is due to be installed in the Debian FTP archive:

ttf-freefont-udeb_20051206-2_all.udeb
  to pool/main/t/ttf-freefont/ttf-freefont-udeb_20051206-2_all.udeb
ttf-freefont_20051206-2.diff.gz
  to pool/main/t/ttf-freefont/ttf-freefont_20051206-2.diff.gz
ttf-freefont_20051206-2.dsc
  to pool/main/t/ttf-freefont/ttf-freefont_20051206-2.dsc
ttf-freefont_20051206-2_all.deb
  to pool/main/t/ttf-freefont/ttf-freefont_20051206-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 254113@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Konstantinos Margaritis <markos@debian.org> (supplier of updated ttf-freefont package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  9 Jan 2006 16:21:22 +0200
Source: ttf-freefont
Binary: ttf-freefont-udeb ttf-freefont
Architecture: source all
Version: 20051206-2
Distribution: unstable
Urgency: low
Maintainer: Konstantinos Margaritis <markos@debian.org>
Changed-By: Konstantinos Margaritis <markos@debian.org>
Description: 
 ttf-freefont - Freefont Serif, Sans and Mono Truetype fonts
 ttf-freefont-udeb - Freefont Serif, Sans and Mono Truetype fonts (udeb)
Closes: 254113
Changes: 
 ttf-freefont (20051206-2) unstable; urgency=low
 .
   * Really fix this bug. (Closes: #254113)
Files: 
 922e7f086c738d0f6ad47b30164aa88d 665 x11 optional ttf-freefont_20051206-2.dsc
 9344f45c4d645435de5907321d755ce8 7374 x11 optional ttf-freefont_20051206-2.diff.gz
 5fbb8847654a5ab1f946d08dd71ee4af 1635988 x11 optional ttf-freefont_20051206-2_all.deb
 2884e2b10c5331e1ab03f521bdf73a7d 213792 debian-installer optional ttf-freefont-udeb_20051206-2_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDwnKgIU9oQVFfm3QRAhqMAJ9D4EcF/JoAZRCjqLQ4/Cr1NLa4uQCdFB/U
08OOZb66GztFRXhaRjwm2BU=
=MUdO
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Cedric Blancher <blancher@cartel-securite.fr>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #103 received at 254113@bugs.debian.org (full text, mbox):

From: Cedric Blancher <blancher@cartel-securite.fr>
To: Debian Bug Tracking System <254113@bugs.debian.org>
Subject: Not fixed in ttf-freefont 20051206-2 ?
Date: Tue, 10 Jan 2006 11:35:06 +0100
Package: ttf-freefont
Version: 20051206-2
Followup-For: Bug #254113

Maybe just a configuration issue, but 20051206-2 does not fix the extra
space issue, reintrocuded in 20051206-1, on my system.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages ttf-freefont depends on:
ii  defoma                        0.11.8-0.1 Debian Font Manager -- automatic f

Versions of packages ttf-freefont recommends:
ii  x-ttcidfont-conf              21         Configure TrueType and CID fonts f

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to zucht studmail <zuchtstudmail@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #108 received at 254113@bugs.debian.org (full text, mbox):

From: zucht studmail <zuchtstudmail@yahoo.com>
To: Cedric Blancher <blancher@cartel-securite.fr>, 254113@bugs.debian.org
Subject: Re: About ttf-freefont bug #254113
Date: Thu, 12 Jan 2006 15:44:50 -0800 (PST)
Cedric Blancher wrote:

> Sorry to bug you with this, but has ttf-freefont
> 20051206-2 fixed the bug you reported lately (extra
> space) ?

It seems like it didn't fix it.

greetings,
Nicolas

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 



Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #113 received at 254113@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 254113@bugs.debian.org
Subject: ttf-freefont: extra space still present in 20051206-2
Date: Thu, 12 Jan 2006 19:01:05 -0800
found 254113 20051206-2
thanks

I can confirm that this bug is definitely still present in 20051206-2.
Downgrading to 20051102-2 (currently in testing) solves the problem.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Bug marked as found in version 20051206-2. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Jan Willem Stumpel <jstumpel@planet.nl>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #124 received at 254113@bugs.debian.org (full text, mbox):

From: Jan Willem Stumpel <jstumpel@planet.nl>
To: Debian Bug Tracking System <254113@bugs.debian.org>
Subject: ttf-freefont: Horizontal spacing problems also
Date: Sat, 14 Jan 2006 09:52:18 +0100
Package: ttf-freefont
Version: 20051206-2
Followup-For: Bug #254113


Version 20051206-2 does not only have problems with the vertical spacing. 
The horizontal spacing may also be affected. When Freemono is used 
as a print font for Mozilla mail messages (using xprint), characters are 
'spaced out' horizontally, giving a very unnatural-looking printout (with 
lines about 60 % too long). 

Spacing along both axes is OK with version 20051102-2. 

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11.1
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages ttf-freefont depends on:
ii  defoma                        0.11.8-0.1 Debian Font Manager -- automatic f

Versions of packages ttf-freefont recommends:
ii  x-ttcidfont-conf              21         Configure TrueType and CID fonts f

-- debconf-show failed



Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #129 received at 254113@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 254113@bugs.debian.org, 254113-submitter@bugs.debian.org, 350517@bugs.debian.org, Josh Triplett <josh.trip@verizon.net>, Thomas Hood <jdthood@aglu.demon.nl>, Nicolas Barbier <zuchtstudmail@yahoo.com>, Cedric Blancher <blancher@cartel-securite.fr>, Russ Allbery <rra@debian.org>, Jan Willem Stumpel <jstumpel@planet.nl>
Cc: debian-boot@lists.debian.org
Subject: New version of ttf-freefont to test
Date: Tue, 14 Feb 2006 17:33:36 +0100
I just built a new upstream version of ttf-freefont. As Konstantinos
is mostly away currently, I wanted to give a try for getting a new
version in as the graphical installer could benefit it.

I am not at all a font guy...I just took some time to build this new
version.


Can people who experienced spacing problems with former versions test
that one ?

http://people.debian.org/~bubulle/ttf-freefont

G-I people, can you also have a look at it?

Please keep me CC'ed to answers.

-- 





Message sent on to Josh Triplett <josh@freedesktop.org>:
Bug#254113. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh@freedesktop.org>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #137 received at 254113@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@freedesktop.org>
To: Christian Perrier <bubulle@debian.org>, 254113-quiet@bugs.debian.org
Cc: 254113@bugs.debian.org, 254113-submitter@bugs.debian.org, 350517@bugs.debian.org, Thomas Hood <jdthood@aglu.demon.nl>, Nicolas Barbier <zuchtstudmail@yahoo.com>, Cedric Blancher <blancher@cartel-securite.fr>, Russ Allbery <rra@debian.org>, Jan Willem Stumpel <jstumpel@planet.nl>, debian-boot@lists.debian.org
Subject: Re: Bug#254113: New version of ttf-freefont to test
Date: Tue, 14 Feb 2006 11:52:25 -0800
[Message part 1 (text/plain, inline)]
Christian Perrier wrote:
> I just built a new upstream version of ttf-freefont. As Konstantinos
> is mostly away currently, I wanted to give a try for getting a new
> version in as the graphical installer could benefit it.
> 
> I am not at all a font guy...I just took some time to build this new
> version.
> 
> Can people who experienced spacing problems with former versions test
> that one ?
> 
> http://people.debian.org/~bubulle/ttf-freefont

No spacing problems either with this version or with the current version
in Debian.

- Josh Triplett
[signature.asc (application/pgp-signature, attachment)]

Information stored:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh@freedesktop.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message sent on to Josh Triplett <josh@freedesktop.org>:
Bug#254113. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Jan Willem Stumpel <jstumpel@planet.nl>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #150 received at 254113@bugs.debian.org (full text, mbox):

From: Jan Willem Stumpel <jstumpel@planet.nl>
To: Josh Triplett <josh@freedesktop.org>
Cc: Christian Perrier <bubulle@debian.org>, 254113-quiet@bugs.debian.org, 254113@bugs.debian.org, 254113-submitter@bugs.debian.org, 350517@bugs.debian.org, Thomas Hood <jdthood@aglu.demon.nl>, Nicolas Barbier <zuchtstudmail@yahoo.com>, Cedric Blancher <blancher@cartel-securite.fr>, Russ Allbery <rra@debian.org>, Jan Willem Stumpel <jstumpel@planet.nl>, debian-boot@lists.debian.org
Subject: Re: Bug#254113: New version of ttf-freefont to test
Date: Tue, 14 Feb 2006 21:33:01 +0100
Josh Triplett wrote:

> No spacing problems either with this version or with the current version
> in Debian.
> 
> - Josh Triplett

Interesting .. I have spacing problems (line spacing, and, with Freemono
when printed by means of Mozilla/xprint, also character spacing) both
with this version and with the current version in Sid. But the November
2005 version (ttf-freefont_20051102-2_all.deb) is OK.

How did you test it?

[IMHO the most reliable way to test the 'line spacing' issue is to use
Openoffice 2.0; just select some text, and change the font between e.g.
Times New Roman and Freeserif.]

Regards, Jan




Information stored:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Jan Willem Stumpel <jstumpel@planet.nl>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message sent on to Josh Triplett <josh@freedesktop.org>:
Bug#254113. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Davide Viti <zinosat@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #163 received at 254113@bugs.debian.org (full text, mbox):

From: Davide Viti <zinosat@tiscali.it>
To: Christian Perrier <bubulle@debian.org>
Cc: 254113@bugs.debian.org, 254113-submitter@bugs.debian.org, 350517@bugs.debian.org, Josh Triplett <josh.trip@verizon.net>, Thomas Hood <jdthood@aglu.demon.nl>, Nicolas Barbier <zuchtstudmail@yahoo.com>, Cedric Blancher <blancher@cartel-securite.fr>, Russ Allbery <rra@debian.org>, Jan Willem Stumpel <jstumpel@planet.nl>, debian-boot@lists.debian.org
Subject: Re: New version of ttf-freefont to test
Date: Tue, 14 Feb 2006 22:55:52 +0100
[Message part 1 (text/plain, inline)]
Hi all,

On Tue, Feb 14, 2006 at 05:33:36PM +0100, Christian Perrier wrote:
> I just built a new upstream version of ttf-freefont. As Konstantinos
> is mostly away currently, I wanted to give a try for getting a new
> version in as the graphical installer could benefit it.

very appreciated: thank you.

> I am not at all a font guy...I just took some time to build this new
> version.

I tried to rebuild the package starting from the files on [1] and it
fails for me with the following:

./convertfonts.sh
./FreeMonoBoldOblique.sfd
./convertfonts.sh: line 11: /testing/home/zino/temp/deb/ttf-freefont-20060126/scripts/ConvertFont: Permission denied
[...]

which was fixed by hand with a "chmod +x scripts/ConvertFont"

> G-I people, can you also have a look at it?

I wanted to create a g-i image using the udeb you provided in place of
the tarball [2] currently used in the official iso: since it's not so
immadiate it's going to be one of the next things I'll work on.

I've created an iso [3] which oncludes _only_ the unstripped version
of the FreeSans fonts; this obviously means that some languages have
no glyphs at all.

I performed some tests using Attilio's application and Soumyadip said
the pics ([4], [5], [6]) look good for Bengali, Hindi, Punjabi; if
this is true also for the iso (and I see no reason not to be that
way), it means we can get rid of

MuktiNarrow.tgz
ttf-devanagari-fonts.tgz
ttf-punjabi-fonts.tgz

please try the iso and let us know.

Davide

[1] http://people.debian.org/~bubulle/ttf-freefont
[2] http://d-i.alioth.debian.org/gtk-frontend/FreeSans.tgz
[3] http://www.webalice.it/zinosat/g-i/mini_freefont20060126-0.1.iso
[4] http://www.webalice.it/zinosat/shots/bn_freefont20060126-0.1.jpg
[5] http://www.webalice.it/zinosat/shots/hi_freefont20060126-0.1.jpg
[6] http://www.webalice.it/zinosat/shots/pa_IN_freefont20060126-0.1.jpg
[signature.asc (application/pgp-signature, inline)]

Message sent on to Josh Triplett <josh@freedesktop.org>:
Bug#254113. Full text and rfc822 format available.

Information stored:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #171 received at 254113-quiet@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Jan Willem Stumpel <jstumpel@planet.nl>
Cc: Josh Triplett <josh@freedesktop.org>, 254113-quiet@bugs.debian.org, 254113-submitter@bugs.debian.org, 350517@bugs.debian.org, Thomas Hood <jdthood@aglu.demon.nl>, Nicolas Barbier <zuchtstudmail@yahoo.com>, Cedric Blancher <blancher@cartel-securite.fr>, Russ Allbery <rra@debian.org>
Subject: Re: Bug#254113: New version of ttf-freefont to test
Date: Wed, 15 Feb 2006 06:47:42 +0100
(removing debian-boot)

> [IMHO the most reliable way to test the 'line spacing' issue is to use
> Openoffice 2.0; just select some text, and change the font between e.g.
> Times New Roman and Freeserif.]


Hmmm, doing so gives me what is probably this line spacing problem. A
random text switched from DejavuSans back/forth FreeSans has a nearly
doubled line spacing, yes.


So, I can only confirm this problem. However I really fail to see why
this should be release critical. One may certainly tag it as
"important" but I somewhat object to it being "grave".





Message sent on to Josh Triplett <josh@freedesktop.org>:
Bug#254113. Full text and rfc822 format available.

Information stored:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #179 received at 254113-quiet@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Christian Perrier <bubulle@debian.org>
Cc: Jan Willem Stumpel <jstumpel@planet.nl>, Josh Triplett <josh@freedesktop.org>, 254113-quiet@bugs.debian.org, 254113-submitter@bugs.debian.org, 350517@bugs.debian.org, Thomas Hood <jdthood@aglu.demon.nl>, Nicolas Barbier <zuchtstudmail@yahoo.com>, Cedric Blancher <blancher@cartel-securite.fr>
Subject: Re: Bug#254113: New version of ttf-freefont to test
Date: Tue, 14 Feb 2006 23:29:59 -0800
Christian Perrier <bubulle@debian.org> writes:

> So, I can only confirm this problem. However I really fail to see why
> this should be release critical. One may certainly tag it as "important"
> but I somewhat object to it being "grave".

It makes the font ugly to the point of unreadability when used as a
primary font, such as for a web browser.  That's how many of us are using
it from prior experience with this problem.  It's bad enough that the font
is basically unusable for me as long as it has this bug, which is the
criteria for grave.

This bug was fixed and stayed fixed for a long time, but was just
reintroduced in the upload of a new version.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Message sent on to Josh Triplett <josh@freedesktop.org>:
Bug#254113. Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@kheops.frmug.org>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #185 received at 254113-forwarded@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@kheops.frmug.org>
To: primozz.peterlin@gmail.com
Cc: 254113-forwarded@bugs.debian.org, Russ Allbery <rra@debian.org>, Josh Triplett <josh@freedesktop.org>, Jan Willem Stumpel <jstumpel@planet.nl>
Subject: (forw) Re: Bug#254113: New version of ttf-freefont to test
Date: Wed, 15 Feb 2006 08:49:36 +0100
Primoz, could you have a look at Debian bug #254113 ?

http://bugs.debian.org/254113

This is a very long story about spacing problems in
Freefont. Surprisingly, noone seems to have ever talked of this with
you...at least publically....

The spasing problems is pretty easy to reproduce, as one of the people
who talked about this bug wrote:

Just use OpenOffice Writer, insert some text and swith to/from one of
the Free* fonts to/from another font. For instance from Arial to
FreeSans and back...

If you read the above, you'll see that the bug has been opened and
closed a few times but it is at least present with the Debian
packages of 20060126 and those of 20051206...

----- Forwarded message from Russ Allbery <rra@debian.org> -----

From: Russ Allbery <rra@debian.org>
To: Christian Perrier <bubulle@debian.org>
Cc: Jan Willem Stumpel <jstumpel@planet.nl>,
	Josh Triplett <josh@freedesktop.org>, 254113-quiet@bugs.debian.org,
	254113-submitter@bugs.debian.org, 350517@bugs.debian.org,
	Thomas Hood <jdthood@aglu.demon.nl>,
	Nicolas Barbier <zuchtstudmail@yahoo.com>,
	Cedric Blancher <blancher@cartel-securite.fr>
Subject: Re: Bug#254113: New version of ttf-freefont to test
Organization: The Eyrie
Date: Tue, 14 Feb 2006 23:29:59 -0800

Christian Perrier <bubulle@debian.org> writes:

> So, I can only confirm this problem. However I really fail to see why
> this should be release critical. One may certainly tag it as "important"
> but I somewhat object to it being "grave".

It makes the font ugly to the point of unreadability when used as a
primary font, such as for a web browser.  That's how many of us are using
it from prior experience with this problem.  It's bad enough that the font
is basically unusable for me as long as it has this bug, which is the
criteria for grave.

This bug was fixed and stayed fixed for a long time, but was just
reintroduced in the upload of a new version.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>

----- End forwarded message -----

-- 





Bug marked as fixed in version 20031008-1.1, send any further explanations to Josh Triplett <josh@freedesktop.org> Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Jan Willem Stumpel <jstumpel@planet.nl>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #192 received at 254113-quiet@bugs.debian.org (full text, mbox):

From: Jan Willem Stumpel <jstumpel@planet.nl>
To: Christian Perrier <bubulle@debian.org>
Cc: Jan Willem Stumpel <jstumpel@planet.nl>, Josh Triplett <josh@freedesktop.org>, 254113-quiet@bugs.debian.org, 254113-submitter@bugs.debian.org, 350517@bugs.debian.org, Thomas Hood <jdthood@aglu.demon.nl>, Nicolas Barbier <zuchtstudmail@yahoo.com>, Cedric Blancher <blancher@cartel-securite.fr>, Russ Allbery <rra@debian.org>
Subject: Re: Bug#254113: New version of ttf-freefont to test
Date: Wed, 15 Feb 2006 09:23:57 +0100
Christian Perrier wrote:

> So, I can only confirm this problem. However I really fail to see why
> this should be release critical. One may certainly tag it as
> "important" but I somewhat object to it being "grave".

I think getting mail messages printed like this is 'grave':

http://www.jw-stumpel.nl/freefont.png

Regards, Jan






Message sent on to Josh Triplett <josh@freedesktop.org>:
Bug#254113. Full text and rfc822 format available.

Information stored:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #200 received at 254113-quiet@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Russ Allbery <rra@debian.org>, 254113-quiet@bugs.debian.org
Cc: Jan Willem Stumpel <jstumpel@planet.nl>, Josh Triplett <josh@freedesktop.org>, 254113-submitter@bugs.debian.org, 350517@bugs.debian.org, Thomas Hood <jdthood@aglu.demon.nl>, Nicolas Barbier <zuchtstudmail@yahoo.com>, Cedric Blancher <blancher@cartel-securite.fr>
Subject: Re: Bug#254113: New version of ttf-freefont to test
Date: Wed, 15 Feb 2006 18:08:15 +0100
Quoting Russ Allbery (rra@debian.org):
> Christian Perrier <bubulle@debian.org> writes:
> 
> > So, I can only confirm this problem. However I really fail to see why
> > this should be release critical. One may certainly tag it as "important"
> > but I somewhat object to it being "grave".
> 
> It makes the font ugly to the point of unreadability when used as a
> primary font, such as for a web browser.  That's how many of us are using
> it from prior experience with this problem.  It's bad enough that the font
> is basically unusable for me as long as it has this bug, which is the
> criteria for grave.

Well, matter of interpretation, but:

   grave
          makes the package in question unusable or mostly so, or causes
          data loss, or introduces a security hole allowing access to the
          accounts of users who use the package.

   important
          a bug which has a major effect on the usability of a package,
          without rendering it completely unusable to everyone.

The graphical installer uses ttf-freefont and this spacing problem
does not happen in it....

(btw it could be an interesting way to explore and try understanding
why g-i, which uses GTKDFB, does not have this spacing problem)

I have also tried using the font in Oo and, even though the bug is
there, I personnally do not consider it makes the font unusable for
*me*...

So, I'm not yet completely convinced that it deserves the "grave"
severity. It deserves "important" without any doubt....

Arguments you bringed, Russ (and Jan as well) justify the "major
effect on the usability of a package" but I think that mine justifies
the "without rendering it completely unusable for everyone".

I think that we all don't like packages go in testing with "important"
bugs and, more, release a distribution with "important" bugs....and I
really hope this bug will be fixed but, well, in the case noone takes
care of it, I would not like to see the whole D-I team being forced to
use another font because that one has a RC bug....which does not
affect D-I.







Message sent on to Josh Triplett <josh@freedesktop.org>:
Bug#254113. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #208 received at 254113@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: control@bugs.debian.org
Cc: 254113@bugs.debian.org
Subject: This bug does not seem to be fixed
Date: Wed, 15 Feb 2006 23:17:07 +0100
reopen 254113
severity 254113 important
thanks

Last discussions have shown that #254113 is not fixed.

however, I keep thinking it is not RC


-- 





Bug reopened, originator not changed. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 20031008-1.1, send any further explanations to Josh Triplett <josh@freedesktop.org> Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message #215 received at 254113-forwarded@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: primozz.peterlin@gmail.com
Cc: 254113-forwarded@bugs.debian.org
Subject: Re: (forw) Re: Bug#254113: New version of ttf-freefont to test
Date: Wed, 15 Feb 2006 23:34:28 +0100
Primoz, could you have a look at Debian bug #254113 ?

http://bugs.debian.org/254113

This is a very long story about spacing problems in
Freefont. Surprisingly, noone seems to have ever talked of this with
you...at least publically....

The spasing problems is pretty easy to reproduce, as one of the people
who talked about this bug wrote:

Just use OpenOffice Writer, insert some text and swith to/from one of
the Free* fonts to/from another font. For instance from Arial to
FreeSans and back...

If you read the above, you'll see that the bug has been opened and
closed a few times but it is at least present with the Debian
packages of 20060126 and those of 20051206...

----- Forwarded message from Russ Allbery <rra@debian.org-----

From: Russ Allbery <rra@debian.org>
To: Christian Perrier <bubulle@debian.org>
Cc: Jan Willem Stumpel <jstumpel@planet.nl>,
	Josh Triplett <josh@freedesktop.org>, 254113-quiet@bugs.debian.org,
	254113-submitter@bugs.debian.org, 350517@bugs.debian.org,
	Thomas Hood <jdthood@aglu.demon.nl>,
	Nicolas Barbier <zuchtstudmail@yahoo.com>,
	Cedric Blancher <blancher@cartel-securite.fr>
Subject: Re: Bug#254113: New version of ttf-freefont to test
Organization: The Eyrie
Date: Tue, 14 Feb 2006 23:29:59 -0800

Christian Perrier <bubulle@debian.orgwrites:

So, I can only confirm this problem. However I really fail to see why
this should be release critical. One may certainly tag it as "important"
but I somewhat object to it being "grave".

It makes the font ugly to the point of unreadability when used as a
primary font, such as for a web browser.  That's how many of us are using
it from prior experience with this problem.  It's bad enough that the font
is basically unusable for me as long as it has this bug, which is the
criteria for grave.

This bug was fixed and stayed fixed for a long time, but was just
reintroduced in the upload of a new version.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>

----- End forwarded message -----

-- 





Message #216 received at 254113-forwarded@bugs.debian.org (full text, mbox):

From: Primoz PETERLIN <primozz.peterlin@gmail.com>
To: Christian Perrier <bubulle@kheops.frmug.org>
Cc: 254113-forwarded@bugs.debian.org, Russ Allbery <rra@debian.org>, Josh Triplett <josh@freedesktop.org>, Jan Willem Stumpel <jstumpel@planet.nl>
Subject: Re: (forw) Re: Bug#254113: New version of ttf-freefont to test
Date: Wed, 15 Feb 2006 23:43:48 +0100
[Message part 1 (text/plain, inline)]
Hello,

2006/2/15, Christian Perrier <bubulle@kheops.frmug.org>:
>
> Primoz, could you have a look at Debian bug #254113?
>
> http://bugs.debian.org/254113
>
> This is a very long story about spacing problems in
> Freefont. Surprisingly, noone seems to have ever talked of this with
> you...at least publically....


I remember complaints of similar nature a while ago, though I indeed don't
remember corresponding with anyone here listed as recipient of this email.

Is there a possibility that I automatically receive bug reports concerning
this Debian package?

The spasing problems is pretty easy to reproduce, as one of the people
> who talked about this bug wrote:
>
> Just use OpenOffice Writer, insert some text and swith to/from one of
> the Free* fonts to/from another font. For instance from Arial to
> FreeSans and back...


I'll have a look.

If you read the above, you'll see that the bug has been opened and
> closed a few times but it is at least present with the Debian
> packages of 20060126 and those of 20051206...


There is an interesting observation in the email you forward below - it
looks like the problem existed in some very old releases, then was seemingly
correct in some intermediate releases, and then again reappeared. Is my
understanding correct? This makes it even more weird in the first place, but
will perhaps help us lead to the source of the problem.

With kind regards,
Primoz

----- Forwarded message from Russ Allbery <rra@debian.org> -----
>
> From: Russ Allbery <rra@debian.org>
> To: Christian Perrier <bubulle@debian.org>
> Cc: Jan Willem Stumpel <jstumpel@planet.nl>,
>         Josh Triplett <josh@freedesktop.org>, 254113-quiet@bugs.debian.org
> ,
>         254113-submitter@bugs.debian.org, 350517@bugs.debian.org,
>         Thomas Hood <jdthood@aglu.demon.nl>,
>         Nicolas Barbier <zuchtstudmail@yahoo.com>,
>         Cedric Blancher <blancher@cartel-securite.fr>
> Subject: Re: Bug#254113: New version of ttf-freefont to test
> Organization: The Eyrie
> Date: Tue, 14 Feb 2006 23:29:59 -0800
>
> Christian Perrier <bubulle@debian.org> writes:
>
> > So, I can only confirm this problem. However I really fail to see why
> > this should be release critical. One may certainly tag it as "important"
> > but I somewhat object to it being "grave".
>
> It makes the font ugly to the point of unreadability when used as a
> primary font, such as for a web browser.  That's how many of us are using
> it from prior experience with this problem.  It's bad enough that the font
> is basically unusable for me as long as it has this bug, which is the
> criteria for grave.
>
> This bug was fixed and stayed fixed for a long time, but was just
> reintroduced in the upload of a new version.
>
> --
> Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>
>
> ----- End forwarded message -----
>
> --
>
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <aragorn@tiscali.nl>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #221 received at 254113@bugs.debian.org (full text, mbox):

From: Frans Pop <aragorn@tiscali.nl>
To: Christian Perrier <bubulle@debian.org>
Cc: 254113@bugs.debian.org, debian-boot@lists.debian.org
Subject: Re: New version of ttf-freefont to test
Date: Thu, 16 Feb 2006 00:08:43 +0100
[Message part 1 (text/plain, inline)]
On Tuesday 14 February 2006 17:33, you wrote:
> Can people who experienced spacing problems with former versions test
> that one ?
> http://people.debian.org/~bubulle/ttf-freefont
>
> G-I people, can you also have a look at it?

Davide Viti has just confirmed that the spacing problems we'd already seen 
in G-I using the 20051206 upstream font tarbal are still present in your 
current package.

Compare screenshots in:
   http://people.debian.org/~fjp/d-i/png_old/
with
   http://people.debian.org/~fjp/d-i/png_new/

Cheers,
FJP
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh@freedesktop.org>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #226 received at 254113@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@freedesktop.org>
To: Jan Willem Stumpel <jstumpel@planet.nl>, 254113-quiet@bugs.debian.org
Cc: Christian Perrier <bubulle@debian.org>, 254113@bugs.debian.org, 254113-submitter@bugs.debian.org, 350517@bugs.debian.org, Thomas Hood <jdthood@aglu.demon.nl>, Nicolas Barbier <zuchtstudmail@yahoo.com>, Cedric Blancher <blancher@cartel-securite.fr>, Russ Allbery <rra@debian.org>, debian-boot@lists.debian.org
Subject: Re: Bug#254113: New version of ttf-freefont to test
Date: Wed, 15 Feb 2006 16:38:37 -0800
[Message part 1 (text/plain, inline)]
Jan Willem Stumpel wrote:
> Josh Triplett wrote:
>>No spacing problems either with this version or with the current version
>>in Debian.
> 
> Interesting .. I have spacing problems (line spacing, and, with Freemono
> when printed by means of Mozilla/xprint, also character spacing) both
> with this version and with the current version in Sid. But the November
> 2005 version (ttf-freefont_20051102-2_all.deb) is OK.
> 
> How did you test it?

I just tested FreeMono in gnome-terminal.

> [IMHO the most reliable way to test the 'line spacing' issue is to use
> Openoffice 2.0; just select some text, and change the font between e.g.

Ouch; that does indeed show that the problem is still present in the new
version, as well as the version currently in Sid.  FreeSans and
FreeSerif both look doublespaced, and FreeMono has a little extra space
as well.

- Josh Triplett
[signature.asc (application/pgp-signature, attachment)]

Information stored:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh@freedesktop.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message sent on to Josh Triplett <josh@freedesktop.org>:
Bug#254113. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #239 received at 254113@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Steve Langasek <vorlon@debian.org>, 254113@bugs.debian.org, Konstantinos Margaritis <markos@debian.org>
Subject: Re: Processed: closing 254113
Date: Thu, 16 Feb 2006 06:47:48 +0100
Quoting Debian Bug Tracking System (owner@bugs.debian.org):
> Processing commands for control@bugs.debian.org:
> 
> > # Automatically generated email from bts, devscripts version 2.9.11
> >  # according to the bug log, does not affect sarge; do not reopen, read the version-tracking docs!
> > close 254113 20031008-1.1
> Bug#254113: Extra space between lines in new version of ttf-freefont
> 'close' is deprecated; see http://www.debian.org/Bugs/Developer#closing.
> Bug#254670: (no subject)
> Bug marked as fixed in version 20031008-1.1, send any further explanations to Josh Triplett <josh@freedesktop.org>


As Steve mentioned to me on IRC, I probably need more understanding of
version trancking. However, I find some strange logic here.

This bug is present in the current version of the package in unstable
(either 20051206-2 or 20060126-1 I uploaded yesterday). So, having it
NOT displayed among unfixed issues on bugs.debian.org/ttf-freefont is
kinda puzzling to me. In short, I find closing a bug *that is present
in the most recent version of a package* really strange and disturbing
and I really do not see the rationale doing so.

After all, if the bug is really RC, you don't want the current version
to enter testing, do you?

OK, someone reported that the bug is not in 20031008, fine....but this
version isn't present in any of our currently supported releases
(except woodye?).

So, well, I need more explanations to understand and I'm afraid I'll
have hard times understanding the logic anyway.





Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #244 received at 254113@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Primoz PETERLIN <primozz.peterlin@gmail.com>
Cc: 254113@bugs.debian.org
Subject: Re: (forw) Re: Bug#254113: New version of ttf-freefont to test
Date: Thu, 16 Feb 2006 08:03:01 +0100
> I remember complaints of similar nature a while ago, though I indeed don't
> remember corresponding with anyone here listed as recipient of this email.
> 
> Is there a possibility that I automatically receive bug reports concerning
> this Debian package?

Yes, you can subscribe to the package bug reports pseudo mailing list
on:

http://packages.qa.debian.org/t/ttf-freefont.html

See the "Subscription - Package Tracking System" part on the left....

> There is an interesting observation in the email you forward below - it
> looks like the problem existed in some very old releases, then was seemingly
> correct in some intermediate releases, and then again reappeared. Is my
> understanding correct? This makes it even more weird in the first place, but
> will perhaps help us lead to the source of the problem.


Thanks for having a look, sure. It seems that this issue annoys a lot
of potential users of the font package and getting upstream
maintainer's yeyes on it is certainly a good idea.

On http://bugs.debian.org/ttf-freefont, you'll find all current issues
about ttf-freefont.

There are not much left opened but I think another bug also deserves
to have some investigation: #255569: ttf-freefont: Freemono font no
longer recognized as a monospace font (http://bugs.debian.org/255569)

Please notice that the maintainer of the ttf-freefont package was
Konstantinos Margaritis up to now. However, he will be unavailable for
the next months because of his military service in Greece.

I will probably try to maintain the package as much as I can in the
meantime but I'm not a font guy so your help would definitely be a big
improvement. We (Debian) deeply count on freefont as the "soon to
come" graphical installer will try using it for as many languages as
possible...





Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #249 received at 254113@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Christian Perrier <bubulle@debian.org>
Cc: 254113@bugs.debian.org, Konstantinos Margaritis <markos@debian.org>
Subject: Re: Processed: closing 254113
Date: Thu, 16 Feb 2006 00:18:10 -0800
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Thu, Feb 16, 2006 at 06:47:48AM +0100, Christian Perrier wrote:
> Quoting Debian Bug Tracking System (owner@bugs.debian.org):
> > Processing commands for control@bugs.debian.org:

> > > # Automatically generated email from bts, devscripts version 2.9.11
> > >  # according to the bug log, does not affect sarge; do not reopen, read the version-tracking docs!
> > > close 254113 20031008-1.1
> > Bug#254113: Extra space between lines in new version of ttf-freefont
> > 'close' is deprecated; see http://www.debian.org/Bugs/Developer#closing.
> > Bug#254670: (no subject)
> > Bug marked as fixed in version 20031008-1.1, send any further explanations to Josh Triplett <josh@freedesktop.org>

> As Steve mentioned to me on IRC, I probably need more understanding of
> version trancking. However, I find some strange logic here.

> This bug is present in the current version of the package in unstable
> (either 20051206-2 or 20060126-1 I uploaded yesterday). So, having it
> NOT displayed among unfixed issues on bugs.debian.org/ttf-freefont is
> kinda puzzling to me. In short, I find closing a bug *that is present
> in the most recent version of a package* really strange and disturbing
> and I really do not see the rationale doing so.

http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=ttf-freefont&dist=unstable

I think it's a bug that the bts doesn't use dist=unstable by default.  I'm
not sure if it's actually been reported against debbugs, though.

> After all, if the bug is really RC, you don't want the current version
> to enter testing, do you?

I'm pretty sure that the list exported by the bts does take dist=unstable
into account.

> OK, someone reported that the bug is not in 20031008, fine....but this
> version isn't present in any of our currently supported releases
> (except woodye?).

Uh, 20031008-1.1 is the version in sarge.  And so far, the BTS has only
recorded that it's reported in 20051206-1 and 20051206-2, whereas testing
has 20051102-2.  So the bug is at least not reported to affect either sarge
or etch at this point.

- -- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFD9DVBKN6ufymYLloRAtkSAKC28NruX1MMJRI/mrt/DOy5mOp/AQCgzXRX
cqLoAyH/ZqTxERg6zVhByws=
=Rpxu
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #254 received at 254113@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Steve Langasek <vorlon@debian.org>
Cc: 254113@bugs.debian.org
Subject: Re: Processed: closing 254113
Date: Thu, 16 Feb 2006 13:57:57 +0100
> > This bug is present in the current version of the package in unstable
> > (either 20051206-2 or 20060126-1 I uploaded yesterday). So, having it
> > NOT displayed among unfixed issues on bugs.debian.org/ttf-freefont is
> > kinda puzzling to me. In short, I find closing a bug *that is present
> > in the most recent version of a package* really strange and disturbing
> > and I really do not see the rationale doing so.
> 
> http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=ttf-freefont&dist=unstable


Aha, I better understand now.....

> > OK, someone reported that the bug is not in 20031008, fine....but this
> > version isn't present in any of our currently supported releases
> > (except woodye?).
> 
> Uh, 20031008-1.1 is the version in sarge.  And so far, the BTS has only

Hmmm, I figured out dirreferently from the various release dates but
this is something that I anyway overlooked....

> recorded that it's reported in 20051206-1 and 20051206-2, whereas testing
> has 20051102-2.  So the bug is at least not reported to affect either sarge
> or etch at this point.


Hmmm, the light is slowly coming in my darkness..:-). Thanks for all
the explanations. I'll probably need to report another wishlist bug:
have all this information about version tracking go into the
doc-debian package and be installed in /usr/share/doc/debian....

Where is this information available right now?






Message sent on to Josh Triplett <josh@freedesktop.org>:
Bug#254113. Full text and rfc822 format available.

Message #257 received at 254113-submitter@bugs.debian.org (full text, mbox):

From: Jan Willem Stumpel <jstumpel@planet.nl>
To: Christian Perrier <bubulle@debian.org>
Cc: Russ Allbery <rra@debian.org>, Jan Willem Stumpel <jstumpel@planet.nl>, Josh Triplett <josh@freedesktop.org>, 254113-submitter@bugs.debian.org, 350517@bugs.debian.org, Thomas Hood <jdthood@aglu.demon.nl>, Nicolas Barbier <zuchtstudmail@yahoo.com>, Cedric Blancher <blancher@cartel-securite.fr>
Subject: Bug#254113: New version of ttf-freefont to test
Date: Thu, 16 Feb 2006 19:08:56 +0100
Just for fun (not knowing anything about fonts) I tried to look at the
'working' and 'buggy' versions of FreeMono and FreeSerif with ttx
(=fonttools) and fontforge.

ttx FreeSerif.ttf produces an XML file called FreeSerif.ttx in which
there is a section <hhea>, which has different values in the working and
buggy versions:

 working                    buggy
 <ascent value="800"/>      <ascent value="1166"/>
 <descent value="-200"/>    <descent value="-545"/>

Wouldn't this account for the larger line spacing? However, fontforge,
"element", "font info", "General" shows ascent=800 and descent=-200 for
both versions. Bug in fontforge?

<hhea> also has something called advanceWidthMax value, which, in
FreeMono, is 600 in the working version and 950 in the buggy version.
This might allow for the horizontal spacing problem with FreeMono.

Of course I tried to edit the values in the .ttx files and then to
transform the .ttx back to .ttf. You are supposed to be able to use the
same program (/usr/bin/ttx) for this. But it does not work; the
conversion stops with a lot of error messages. Bug in fonttools?

Maybe a real 'font guy' could find the solution quickly..

Regards, Jan




Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to 254113@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #262 received at 254113@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: primozz.peterlin@gmail.com
Cc: 254113@bugs.debian.org
Subject: (forw) Bug#254113: New version of ttf-freefont to test
Date: Thu, 16 Feb 2006 20:20:15 +0100
In case you haven't already subscribed to Debian BTS...

----- Forwarded message from Jan Willem Stumpel <jstumpel@planet.nl> -----

Date: Thu, 16 Feb 2006 19:08:56 +0100
From: Jan Willem Stumpel <jstumpel@planet.nl>
Subject: Bug#254113: New version of ttf-freefont to test
To: Christian Perrier <bubulle@debian.org>
Cc: Russ Allbery <rra@debian.org>, Jan Willem Stumpel <jstumpel@planet.nl>,
	Josh Triplett <josh@freedesktop.org>,
	254113-submitter@bugs.debian.org, 350517@bugs.debian.org,
	Thomas Hood <jdthood@aglu.demon.nl>,
	Nicolas Barbier <zuchtstudmail@yahoo.com>,
	Cedric Blancher <blancher@cartel-securite.fr>

Just for fun (not knowing anything about fonts) I tried to look at the
'working' and 'buggy' versions of FreeMono and FreeSerif with ttx
(=fonttools) and fontforge.

ttx FreeSerif.ttf produces an XML file called FreeSerif.ttx in which
there is a section <hhea>, which has different values in the working and
buggy versions:

 working                    buggy
 <ascent value="800"/>      <ascent value="1166"/>
 <descent value="-200"/>    <descent value="-545"/>

Wouldn't this account for the larger line spacing? However, fontforge,
"element", "font info", "General" shows ascent=800 and descent=-200 for
both versions. Bug in fontforge?

<hhea> also has something called advanceWidthMax value, which, in
FreeMono, is 600 in the working version and 950 in the buggy version.
This might allow for the horizontal spacing problem with FreeMono.

Of course I tried to edit the values in the .ttx files and then to
transform the .ttx back to .ttf. You are supposed to be able to use the
same program (/usr/bin/ttx) for this. But it does not work; the
conversion stops with a lot of error messages. Bug in fonttools?

Maybe a real 'font guy' could find the solution quickly..

Regards, Jan

----- End forwarded message -----

-- 





Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #267 received at 254113@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Christian Perrier <bubulle@debian.org>
Cc: 254113@bugs.debian.org
Subject: Re: Processed: closing 254113
Date: Thu, 16 Feb 2006 12:01:33 -0800
[Message part 1 (text/plain, inline)]
On Thu, Feb 16, 2006 at 01:57:57PM +0100, Christian Perrier wrote:
> > recorded that it's reported in 20051206-1 and 20051206-2, whereas testing
> > has 20051102-2.  So the bug is at least not reported to affect either sarge
> > or etch at this point.

> Hmmm, the light is slowly coming in my darkness..:-). Thanks for all
> the explanations. I'll probably need to report another wishlist bug:
> have all this information about version tracking go into the
> doc-debian package and be installed in /usr/share/doc/debian....

> Where is this information available right now?

Honestly, I'm not sure if the information is available anywhere besides
Colin's announcement mail.

:/

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Bug marked as found in version 20060126-1. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Davide Viti <zinosat@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #274 received at 254113@bugs.debian.org (full text, mbox):

From: Davide Viti <zinosat@tiscali.it>
To: 254113@bugs.debian.org
Subject: Re: Extra space between lines in new version of ttf-freefont
Date: Thu, 23 Feb 2006 01:35:03 +0100
[Message part 1 (text/plain, inline)]
I did some experiments with the FreeSans.ttf file affected by the problem
and looks like the extra vertical space is "cumulative":
I experimented with some English text (which uses latin glyphs whose glyphs reside
in an unicode range < u100, u7a to be more precise).

Compare the following screenshots (I always used the same environment and the same text file):

[1] was taken using the version currently used by the graphical installer (_not_ affected by the problem)

[2] was taken using the FreeSans.ttf file included in the latest ttf-freefont package (20060126-1)

I then stripped some glyphs out of the above ttf file affected by the problem, and my conclusion is that
the more I strip glyphs, the better it gets (i.e. it becomes harder to notice the problem)

[3] includes only glyphs on the range u+0-u+500
[4] includes only glyphs on the range u+0-u+100


I also noticed that if I strip all but glyphs in the range u0:u130 I get the following:

Copyright (c) 2000-2005 by George Williams.
 Executable based on sources from 12:08 5-Dec-2005.
"A nested lookup with tag 'L' could not be found. The generated font will not be useable. Try Element->Find Problems"

if I strip all but u0:u131 that message is not displayed
Not sure this helps but hope it does

regards,
Davide

[1] http://www.webalice.it/zinosat/shots/freefont_np.png
[2] http://www.webalice.it/zinosat/shots/freefont_all_glyphs.png
[3] http://www.webalice.it/zinosat/shots/freefont_0-500.png
[4] http://www.webalice.it/zinosat/shots/freefont_0-100.png
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #279 received at 254113@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 254113@bugs.debian.org
Subject: More information about this bug, again
Date: Thu, 23 Feb 2006 07:04:43 +0100
I did some experiment yeterday, in the desperate hope that this bug
would be a fontforge bug solved by miracle in latest fontforge
version.

So, I grabbed fontforge 20060125 from its upstream repository, built
Debian packages and then rebuilt ttf-freefont.

Unfortunately, the line spacing problem is still there..:-|

So, I just wanted to record this info in the BTS.





Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Al Canton <acanton@adams-blake.com>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #284 received at 254113@bugs.debian.org (full text, mbox):

From: Al Canton <acanton@adams-blake.com>
To: 254113@bugs.debian.org
Subject: Why is this in 'resolved' bugs?
Date: Sun, 26 Feb 2006 11:21:39 -0800
re: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=254113

I still get the extra vertical space when using this font as a screen 
font in KDE. 

Why is this bug listed as 'resolved'?

Thanks.

Al





Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #289 received at 254113@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Al Canton <acanton@adams-blake.com>, 254113@bugs.debian.org
Subject: Re: Bug#254113: Why is this in 'resolved' bugs?
Date: Mon, 27 Feb 2006 06:47:22 +0100
Quoting Al Canton (acanton@adams-blake.com):
> re: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=254113
> 
> I still get the extra vertical space when using this font as a screen 
> font in KDE. 
> 
> Why is this bug listed as 'resolved'?


This is an issue that puzzled me as well (I even reopened the bug) but
actually the bug is *not* considered fixed in the current version in
sid. It is marked as "found" in 20060126-1 as well as a few other
versions.

So, no worry, the bug is still opened....even if we don't have a clule
about how to fix it (but upstream is now playing in the game here...).







Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <savannah-bounces@gnu.org>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #294 received at 254113@bugs.debian.org (full text, mbox):

From: Christian Perrier <savannah-bounces@gnu.org>
To: 254113@bugs.debian.org, Eeli Kaikkonen <eekaikko@mail.student.oulu.fi>, Christian Perrier <bubulle@debian.org>
Subject: [bug #15956] Line height is too big in sans and serif
Date: Thu, 2 Mar 2006 22:26:11 +0000
Follow-up Comment #1, bug #15956 (project freefont):

This bug has also been reported in Debian: http://bugs.debian.org/254113

    _______________________________________________________

Reply to this item at:

  <http://savannah.nongnu.org/bugs/?func=detailitem&item_id=15956>

_______________________________________________
  Message posté via/par Savannah
  http://savannah.nongnu.org/




Forwarded-to-address changed from primozz.peterlin@gmail.com to http://savannah.nongnu.org/bugs/?func=detailitem. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Forwarded-to-address changed from http://savannah.nongnu.org/bugs/?func=detailitem to http://savannah.nongnu.org/bugs/?func=detailitem&item_id=15956. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 20031008-1.1, send any further explanations to Josh Triplett <josh@freedesktop.org> Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <savannah-bounces@gnu.org>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #307 received at 254113@bugs.debian.org (full text, mbox):

From: Christian Perrier <savannah-bounces@gnu.org>
To: 254113@bugs.debian.org, Eeli Kaikkonen <eekaikko@mail.student.oulu.fi>, Christian Perrier <bubulle@debian.org>
Subject: [bug #15956] Line height is too big in sans and serif
Date: Sun, 5 Mar 2006 15:08:53 +0000
Follow-up Comment #2, bug #15956 (project freefont):

Today, I tried various things to confirm whether the problem only lies in the
Debian packages I build or not. ALL TTF fonts grabbed from the download area
show this problem...either on Debian systems...or on Windows systems.

    _______________________________________________________

Reply to this item at:

  <http://savannah.nongnu.org/bugs/?func=detailitem&item_id=15956>

_______________________________________________
  Message posté via/par Savannah
  http://savannah.nongnu.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh@freedesktop.org>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #312 received at 254113@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@freedesktop.org>
To: 254113@bugs.debian.org, debian-boot@lists.debian.org
Subject: Workaround for ttf-freefont spacing issue (affects graphical debian-installer)
Date: Sun, 12 Mar 2006 20:06:34 -0800
[Message part 1 (text/plain, inline)]
The attached patch updates my previous workaround for the ttf-freefont
spacing issue, which is currently affecting the graphical
debian-installer.  (See
<http://lists.debian.org/debian-devel/2006/03/msg00423.html>, heading
"g-i integration".)  Again, this is just a workaround, not a real fix.
It fixes the spacing problems in every application I tested, with the
exception of OpenOffice.org; since OO.o also has the spacing problem
with older versions of ttf-freefont, including 20031008-1.1 and
20051102-2 which work fine with other applications.  Hopefully this
version will also fix the graphical debian-installer, since this version
seems to work everywhere 20051102-2 does, and g-i reported success with
20051102-2.

The patch includes a changelog entry for an NMU; feel free to adapt it
if doing a maintainer upload.  If this workaround works for the
graphical installer, I plan to seek a sponsor for an NMU to the DELAYED
queue.

I've put source and binaries at
http://freedesktop.org/~josh/ttf-freefont-spacing-problem/ .  Could a
graphical-installer developer please test the udeb with g-i and see if
the spacing problem disappears?

- Josh Triplett
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #317 received at 254113@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Josh Triplett <josh@freedesktop.org>
Cc: 254113@bugs.debian.org, debian-boot@lists.debian.org
Subject: Re: Workaround for ttf-freefont spacing issue (affects graphical debian-installer)
Date: Mon, 13 Mar 2006 06:42:21 +0100
[Message part 1 (text/plain, inline)]
> The patch includes a changelog entry for an NMU; feel free to adapt it
> if doing a maintainer upload.  If this workaround works for the
> graphical installer, I plan to seek a sponsor for an NMU to the DELAYED
> queue.


Please don't.

I have taken ttf-freefont over and I'll hopefully upload it with your
workaround (as well as send it to upstream if it is of any help for
him).

Anyway, thanks a lot, Josh, for the workaround. I haven't tested it
yet as I need network access yo access it, but I'll do ASAP.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Davide Viti <zinosat@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #322 received at 254113@bugs.debian.org (full text, mbox):

From: Davide Viti <zinosat@tiscali.it>
To: Josh Triplett <josh@freedesktop.org>, 254113@bugs.debian.org
Cc: debian-boot@lists.debian.org
Subject: Re: Bug#254113: Workaround for ttf-freefont spacing issue (affects graphical debian-installer)
Date: Mon, 13 Mar 2006 07:50:36 +0100
[Message part 1 (text/plain, inline)]
Hi Josh,

On Sun, Mar 12, 2006 at 08:06:34PM -0800, Josh Triplett wrote:
> I've put source and binaries at
> http://freedesktop.org/~josh/ttf-freefont-spacing-problem/ .  Could a
> graphical-installer developer please test the udeb with g-i and see if
> the spacing problem disappears?

I've built a g-i image using the binaries you created; it's available in
[1].
The iso contains only freefont and cjk fonts to avoid possible range overlappings,
so many languages will not be usable.
Looks like your fix is working.

thanx,
Davide

[1] http://www.webalice.it/zinosat/g-i/mini_spacing.iso
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh@freedesktop.org>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #327 received at 254113@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@freedesktop.org>
To: Davide Viti <zinosat@tiscali.it>
Cc: 254113@bugs.debian.org, debian-boot@lists.debian.org
Subject: Re: Bug#254113: Workaround for ttf-freefont spacing issue (affects graphical debian-installer)
Date: Mon, 13 Mar 2006 00:55:23 -0800
[Message part 1 (text/plain, inline)]
Davide Viti wrote:
> Hi Josh,

Hi Davide,

> On Sun, Mar 12, 2006 at 08:06:34PM -0800, Josh Triplett wrote:
>>I've put source and binaries at
>>http://freedesktop.org/~josh/ttf-freefont-spacing-problem/ .  Could a
>>graphical-installer developer please test the udeb with g-i and see if
>>the spacing problem disappears?
> 
> I've built a g-i image using the binaries you created; it's available in
> [1].
> The iso contains only freefont and cjk fonts to avoid possible range overlappings,
> so many languages will not be usable.
> Looks like your fix is working.

Glad to hear that.  I downloaded and tested your ISO, and it seems to
work here as well.

- Josh Triplett
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh@freedesktop.org>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #332 received at 254113@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@freedesktop.org>
To: 254113@bugs.debian.org
Cc: debian-boot@lists.debian.org
Subject: Re: Workaround for ttf-freefont spacing issue (affects graphical debian-installer)
Date: Mon, 13 Mar 2006 00:59:28 -0800
[Message part 1 (text/plain, inline)]
Josh Triplett wrote:
> The attached patch updates my previous workaround for the ttf-freefont
> spacing issue, which is currently affecting the graphical
> debian-installer.

For the benefit of the bug report, here's the patch I forgot to attach.

- Josh Triplett
[ttf-freefont-workaround-spacing-bug.patch (text/x-patch, inline)]
diff -Naur ttf-freefont-20060126.orig/debian/changelog ttf-freefont-20060126/debian/changelog
--- ttf-freefont-20060126.orig/debian/changelog	2006-03-12 16:54:25.000000000 -0800
+++ ttf-freefont-20060126/debian/changelog	2006-03-12 18:50:13.000000000 -0800
@@ -1,3 +1,13 @@
+ttf-freefont (20060126-1.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Re-enable spacing bug workaround, and update ascent/descent in patch.
+    This fixes spacing issues in several applications, hopefully including
+    the graphical debian-installer.  However, OpenOffice.org still shows
+    spacing issues, so this doesn't quite fix #254113.
+
+ -- Josh Triplett <josh@freedesktop.org>  Sun, 12 Mar 2006 18:49:57 -0800
+
 ttf-freefont (20060126-1) unstable; urgency=low
 
   * Add self to Uploaders to be sure that someone officially "takes care"
diff -Naur ttf-freefont-20060126.orig/debian/fontforge-bug-workaround.patch ttf-freefont-20060126/debian/fontforge-bug-workaround.patch
--- ttf-freefont-20060126.orig/debian/fontforge-bug-workaround.patch	2006-03-12 16:54:25.000000000 -0800
+++ ttf-freefont-20060126/debian/fontforge-bug-workaround.patch	2006-03-12 17:07:21.000000000 -0800
@@ -1,12 +1,12 @@
-diff -Nru sfd.ori/FreeMonoBoldOblique.sfd sfd/FreeMonoBoldOblique.sfd
---- sfd.ori/FreeMonoBoldOblique.sfd	2006-01-23 16:33:44.000000000 +0100
-+++ sfd/FreeMonoBoldOblique.sfd	2006-02-15 23:32:07.908882199 +0100
+diff -Naur sfd.orig/FreeMono.sfd sfd/FreeMono.sfd
+--- sfd.orig/FreeMono.sfd	2006-01-09 01:40:34.000000000 -0800
++++ sfd/FreeMono.sfd	2006-03-12 17:06:52.000000000 -0800
 @@ -10,6 +10,8 @@
  UnderlineWidth: 50
  Ascent: 800
  Descent: 200
-+HheadAscent: -311
-+HheadDescent: 78
++HheadAscent: -273
++HheadDescent: 119
  NeedsXUIDChange: 1
  FSType: 0
  PfmFamily: 49
@@ -20,15 +20,15 @@
  HheadDOffset: 1
  OS2Vendor: 'PfEd'
  ScriptLang: 2
-diff -Nru sfd.ori/FreeMonoBold.sfd sfd/FreeMonoBold.sfd
---- sfd.ori/FreeMonoBold.sfd	2006-01-09 10:40:35.000000000 +0100
-+++ sfd/FreeMonoBold.sfd	2006-02-15 23:32:07.972869614 +0100
+diff -Naur sfd.orig/FreeMonoBold.sfd sfd/FreeMonoBold.sfd
+--- sfd.orig/FreeMonoBold.sfd	2006-01-09 01:40:35.000000000 -0800
++++ sfd/FreeMonoBold.sfd	2006-03-12 17:06:43.000000000 -0800
 @@ -10,6 +10,8 @@
  UnderlineWidth: 50
  Ascent: 800
  Descent: 200
 +HheadAscent: -355
-+HheadDescent: 165
++HheadDescent: 166
  NeedsXUIDChange: 1
  FSType: 0
  PfmFamily: 49
@@ -42,15 +42,15 @@
  HheadDOffset: 1
  OS2Vendor: 'PfEd'
  ScriptLang: 2
-diff -Nru sfd.ori/FreeMonoOblique.sfd sfd/FreeMonoOblique.sfd
---- sfd.ori/FreeMonoOblique.sfd	2006-01-09 10:40:35.000000000 +0100
-+++ sfd/FreeMonoOblique.sfd	2006-02-15 23:32:08.056853097 +0100
+diff -Naur sfd.orig/FreeMonoBoldOblique.sfd sfd/FreeMonoBoldOblique.sfd
+--- sfd.orig/FreeMonoBoldOblique.sfd	2006-01-23 07:33:44.000000000 -0800
++++ sfd/FreeMonoBoldOblique.sfd	2006-03-12 17:06:35.000000000 -0800
 @@ -10,6 +10,8 @@
  UnderlineWidth: 50
  Ascent: 800
  Descent: 200
-+HheadAscent: -200
-+HheadDescent: 73
++HheadAscent: -311
++HheadDescent: 166
  NeedsXUIDChange: 1
  FSType: 0
  PfmFamily: 49
@@ -63,16 +63,16 @@
 -HheadDescent: 0
  HheadDOffset: 1
  OS2Vendor: 'PfEd'
- ScriptLang: 4
-diff -Nru sfd.ori/FreeMono.sfd sfd/FreeMono.sfd
---- sfd.ori/FreeMono.sfd	2006-01-09 10:40:34.000000000 +0100
-+++ sfd/FreeMono.sfd	2006-02-15 23:32:08.163832056 +0100
+ ScriptLang: 2
+diff -Naur sfd.orig/FreeMonoOblique.sfd sfd/FreeMonoOblique.sfd
+--- sfd.orig/FreeMonoOblique.sfd	2006-01-09 01:40:35.000000000 -0800
++++ sfd/FreeMonoOblique.sfd	2006-03-12 17:06:26.000000000 -0800
 @@ -10,6 +10,8 @@
  UnderlineWidth: 50
  Ascent: 800
  Descent: 200
-+HheadAscent: -257
-+HheadDescent: 119
++HheadAscent: -277
++HheadDescent: 146
  NeedsXUIDChange: 1
  FSType: 0
  PfmFamily: 49
@@ -85,16 +85,16 @@
 -HheadDescent: 0
  HheadDOffset: 1
  OS2Vendor: 'PfEd'
- ScriptLang: 2
-diff -Nru sfd.ori/FreeSansBoldOblique.sfd sfd/FreeSansBoldOblique.sfd
---- sfd.ori/FreeSansBoldOblique.sfd	2006-01-09 10:40:37.000000000 +0100
-+++ sfd/FreeSansBoldOblique.sfd	2006-02-15 23:32:08.288807476 +0100
+ ScriptLang: 4
+diff -Naur sfd.orig/FreeSans.sfd sfd/FreeSans.sfd
+--- sfd.orig/FreeSans.sfd	2006-01-26 06:26:57.000000000 -0800
++++ sfd/FreeSans.sfd	2006-03-12 17:06:08.000000000 -0800
 @@ -10,6 +10,8 @@
- UnderlineWidth: 69
+ UnderlineWidth: 50
  Ascent: 800
  Descent: 200
-+HheadAscent: -179
-+HheadDescent: 109
++HheadAscent: -430
++HheadDescent: 262
  NeedsXUIDChange: 1
  FSType: 0
  PfmFamily: 33
@@ -107,16 +107,16 @@
 -HheadDescent: 0
  HheadDOffset: 1
  OS2Vendor: 'PfEd'
- ScriptLang: 3
-diff -Nru sfd.ori/FreeSansBold.sfd sfd/FreeSansBold.sfd
---- sfd.ori/FreeSansBold.sfd	2006-01-27 09:37:04.000000000 +0100
-+++ sfd/FreeSansBold.sfd	2006-02-15 23:32:08.344796464 +0100
+ ScriptLang: 10
+diff -Naur sfd.orig/FreeSansBold.sfd sfd/FreeSansBold.sfd
+--- sfd.orig/FreeSansBold.sfd	2006-01-27 00:37:04.000000000 -0800
++++ sfd/FreeSansBold.sfd	2006-03-12 17:05:29.000000000 -0800
 @@ -10,6 +10,8 @@
  UnderlineWidth: 69
  Ascent: 800
  Descent: 200
-+HheadAscent: -359
-+HheadDescent: 155
++HheadAscent: -367
++HheadDescent: 260
  NeedsXUIDChange: 1
  FSType: 0
  PfmFamily: 33
@@ -130,15 +130,15 @@
  HheadDOffset: 1
  OS2Vendor: 'PfEd'
  ScriptLang: 7
-diff -Nru sfd.ori/FreeSansOblique.sfd sfd/FreeSansOblique.sfd
---- sfd.ori/FreeSansOblique.sfd	2006-01-24 13:01:39.000000000 +0100
-+++ sfd/FreeSansOblique.sfd	2006-02-15 23:32:08.429779750 +0100
+diff -Naur sfd.orig/FreeSansBoldOblique.sfd sfd/FreeSansBoldOblique.sfd
+--- sfd.orig/FreeSansBoldOblique.sfd	2006-01-09 01:40:37.000000000 -0800
++++ sfd/FreeSansBoldOblique.sfd	2006-03-12 17:05:15.000000000 -0800
 @@ -10,6 +10,8 @@
- UnderlineWidth: 50
+ UnderlineWidth: 69
  Ascent: 800
  Descent: 200
-+HheadAscent: -341
-+HheadDescent: 219
++HheadAscent: -363
++HheadDescent: 109
  NeedsXUIDChange: 1
  FSType: 0
  PfmFamily: 33
@@ -151,16 +151,16 @@
 -HheadDescent: 0
  HheadDOffset: 1
  OS2Vendor: 'PfEd'
- ScriptLang: 6
-diff -Nru sfd.ori/FreeSans.sfd sfd/FreeSans.sfd
---- sfd.ori/FreeSans.sfd	2006-01-26 15:26:57.000000000 +0100
-+++ sfd/FreeSans.sfd	2006-02-15 23:32:08.574751237 +0100
+ ScriptLang: 3
+diff -Naur sfd.orig/FreeSansOblique.sfd sfd/FreeSansOblique.sfd
+--- sfd.orig/FreeSansOblique.sfd	2006-01-24 04:01:39.000000000 -0800
++++ sfd/FreeSansOblique.sfd	2006-03-12 17:04:58.000000000 -0800
 @@ -10,6 +10,8 @@
  UnderlineWidth: 50
  Ascent: 800
  Descent: 200
 +HheadAscent: -341
-+HheadDescent: 259
++HheadDescent: 231
  NeedsXUIDChange: 1
  FSType: 0
  PfmFamily: 33
@@ -173,16 +173,16 @@
 -HheadDescent: 0
  HheadDOffset: 1
  OS2Vendor: 'PfEd'
- ScriptLang: 10
-diff -Nru sfd.ori/FreeSerifBoldItalic.sfd sfd/FreeSerifBoldItalic.sfd
---- sfd.ori/FreeSerifBoldItalic.sfd	2006-01-17 14:26:05.000000000 +0100
-+++ sfd/FreeSerifBoldItalic.sfd	2006-02-15 23:32:08.771712499 +0100
+ ScriptLang: 6
+diff -Naur sfd.orig/FreeSerif.sfd sfd/FreeSerif.sfd
+--- sfd.orig/FreeSerif.sfd	2006-02-14 03:08:35.000000000 -0800
++++ sfd/FreeSerif.sfd	2006-03-12 17:03:58.000000000 -0800
 @@ -10,6 +10,8 @@
  UnderlineWidth: 50
  Ascent: 800
  Descent: 200
-+HheadAscent: -371
-+HheadDescent: 288
++HheadAscent: -366
++HheadDescent: 345
  NeedsXUIDChange: 1
  FSType: 0
  PfmFamily: 17
@@ -194,11 +194,11 @@
  HheadAOffset: 1
 -HheadDescent: 0
  HheadDOffset: 1
- OS2Vendor: 'PfEd'
- ScriptLang: 3
-diff -Nru sfd.ori/FreeSerifBold.sfd sfd/FreeSerifBold.sfd
---- sfd.ori/FreeSerifBold.sfd	2006-01-23 15:44:18.000000000 +0100
-+++ sfd/FreeSerifBold.sfd	2006-02-15 23:32:08.857695588 +0100
+ OS2SubXSize: 0
+ OS2SubYSize: 1
+diff -Naur sfd.orig/FreeSerifBold.sfd sfd/FreeSerifBold.sfd
+--- sfd.orig/FreeSerifBold.sfd	2006-01-23 06:44:18.000000000 -0800
++++ sfd/FreeSerifBold.sfd	2006-03-12 17:02:13.000000000 -0800
 @@ -10,6 +10,8 @@
  UnderlineWidth: 50
  Ascent: 800
@@ -218,15 +218,15 @@
  HheadDOffset: 1
  OS2Vendor: 'PfEd'
  ScriptLang: 4
-diff -Nru sfd.ori/FreeSerifItalic.sfd sfd/FreeSerifItalic.sfd
---- sfd.ori/FreeSerifItalic.sfd	2006-01-09 10:45:18.000000000 +0100
-+++ sfd/FreeSerifItalic.sfd	2006-02-15 23:32:08.983670811 +0100
+diff -Naur sfd.orig/FreeSerifBoldItalic.sfd sfd/FreeSerifBoldItalic.sfd
+--- sfd.orig/FreeSerifBoldItalic.sfd	2006-01-17 05:26:05.000000000 -0800
++++ sfd/FreeSerifBoldItalic.sfd	2006-03-12 17:02:13.000000000 -0800
 @@ -10,6 +10,8 @@
  UnderlineWidth: 50
  Ascent: 800
  Descent: 200
-+HheadAscent: -322
-+HheadDescent: 238
++HheadAscent: -371
++HheadDescent: 288
  NeedsXUIDChange: 1
  FSType: 0
  PfmFamily: 17
@@ -240,15 +240,15 @@
  HheadDOffset: 1
  OS2Vendor: 'PfEd'
  ScriptLang: 3
-diff -Nru sfd.ori/FreeSerif.sfd sfd/FreeSerif.sfd
---- sfd.ori/FreeSerif.sfd	2006-02-14 12:08:35.000000000 +0100
-+++ sfd/FreeSerif.sfd	2006-02-15 23:32:09.220624207 +0100
+diff -Naur sfd.orig/FreeSerifItalic.sfd sfd/FreeSerifItalic.sfd
+--- sfd.orig/FreeSerifItalic.sfd	2006-01-09 01:45:18.000000000 -0800
++++ sfd/FreeSerifItalic.sfd	2006-03-12 17:02:13.000000000 -0800
 @@ -10,6 +10,8 @@
  UnderlineWidth: 50
  Ascent: 800
  Descent: 200
-+HheadAscent: -366
-+HheadDescent: 246
++HheadAscent: -322
++HheadDescent: 238
  NeedsXUIDChange: 1
  FSType: 0
  PfmFamily: 17
@@ -260,5 +260,5 @@
  HheadAOffset: 1
 -HheadDescent: 0
  HheadDOffset: 1
- OS2SubXSize: 0
- OS2SubYSize: 1
+ OS2Vendor: 'PfEd'
+ ScriptLang: 3
diff -Naur ttf-freefont-20060126.orig/debian/rules ttf-freefont-20060126/debian/rules
--- ttf-freefont-20060126.orig/debian/rules	2006-03-12 16:54:25.000000000 -0800
+++ ttf-freefont-20060126/debian/rules	2006-03-12 17:07:31.000000000 -0800
@@ -26,7 +26,7 @@
 	dh_testdir
 	
 	tar xzvf freefont-sfd.tar.gz
-	# cd sfd && patch -p1 < ../debian/fontforge-bug-workaround.patch 
+	cd sfd && patch -p1 < ../debian/fontforge-bug-workaround.patch 
 	chmod u+x ./convertfonts.sh
 	./convertfonts.sh
 	# Strip the fonts for the udeb
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #337 received at 254113@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Josh Triplett <josh@freedesktop.org>, 254113@bugs.debian.org
Cc: debian-boot@lists.debian.org
Subject: Re: Bug#254113: Workaround for ttf-freefont spacing issue (affects graphical debian-installer)
Date: Mon, 13 Mar 2006 09:59:36 +0100
[Message part 1 (text/plain, inline)]
> The patch includes a changelog entry for an NMU; feel free to adapt it
> if doing a maintainer upload.  If this workaround works for the
> graphical installer, I plan to seek a sponsor for an NMU to the DELAYED
> queue.
> 
> I've put source and binaries at
> http://freedesktop.org/~josh/ttf-freefont-spacing-problem/ .  Could a
> graphical-installer developer please test the udeb with g-i and see if
> the spacing problem disappears?

After testing Josh's patch and talking about it on IRC, I came up with
a rebuilt package which one may find at
http://people.debian.org/~bubulle/ttf-freefont

The packaging has been revamped a little to allow using quilt for
patches, which is way more convenient than patching in the
debian/rules file.

The upstream version is faked to 20060126b as I changed the layout of
the files in the .orig.tar.gz file

As far as I see the spacing problem then disappears in kedit and
indeed all applications, except OOo.

So, I'll soon consider uploading this fixed version very soon.




[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <savannah-bounces@gnu.org>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #342 received at 254113@bugs.debian.org (full text, mbox):

From: Christian Perrier <savannah-bounces@gnu.org>
To: 254113@bugs.debian.org, Eeli Kaikkonen <eekaikko@mail.student.oulu.fi>, Christian Perrier <bubulle@debian.org>
Subject: [bug #15956] Line height is too big in sans and serif
Date: Mon, 13 Mar 2006 18:41:12 +0000
Follow-up Comment #3, bug #15956 (project freefont):

A workaround has been proposed in Debian. It solves all the vertical line
spacing issues, except maybe in OOo
    _______________________________________________________

Additional Item Attachment:

File name: 004_workaround-spacing-bug     Size:7 KB
Workaround proposed in Debian
<http://savannah.nongnu.org/bugs/download.php?item_id=15956&item_file_id=3498>

    _______________________________________________________

Reply to this item at:

  <http://savannah.nongnu.org/bugs/?func=detailitem&item_id=15956>

_______________________________________________
  Message posté via/par Savannah
  http://savannah.nongnu.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Primoz Peterlin <INVALID.NOREPLY@gnu.org>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #347 received at 254113@bugs.debian.org (full text, mbox):

From: Primoz Peterlin <INVALID.NOREPLY@gnu.org>
To: gekylafas@gmail.com, 254113@bugs.debian.org, Eeli Kaikkonen <eekaikko@mail.student.oulu.fi>, Primoz Peterlin <primozz.peterlin@gmail.com>, Christoph Lukas <christoph.lukas@gmx.net>, "Georgios E. Kylafas" <gekylafas@gmail.com>, Christian Perrier <bubulle@debian.org>
Subject: [bug #15956] Line height is too big in sans and serif
Date: Sat, 15 Apr 2006 23:31:20 +0200
Update of bug #15956 (project freefont):

                  Status:                    None => Confirmed              
             Assigned to:                    None => peterlin               


    _______________________________________________________

Reply to this item at:

  <http://savannah.nongnu.org/bugs/?func=detailitem&item_id=15956>

_______________________________________________
  Message sent via/by Savannah
  http://savannah.nongnu.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Christian Perrier <bubulle@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Jan Willem Stumpel <jstumpel@planet.nl>:
Extra info received and forwarded to list. Copy sent to Christian Perrier <bubulle@debian.org>. Full text and rfc822 format available.

Message #352 received at 254113@bugs.debian.org (full text, mbox):

From: Jan Willem Stumpel <jstumpel@planet.nl>
To: 254113@bugs.debian.org
Subject: Fix for Openoffice?
Date: Wed, 12 Jul 2006 10:38:48 +0200
Openoffice is originally a Windows application which has somehow
been ported to Linux. So it probably uses the Windows method of
determining line spacing (see Fontforge FAQ, "How do I set the
line spacing on a font?"). This means using the OS2WinAscent and
OS2WinDescent values. In Times New Roman and Arial I found that
(in the .sfd version of the fonts):

OS2WinAscent value  = HheadAscent value;
OS2WinDescent value = negative of HheadDescent value.

So I tried this on the Freefonts also (by default, both values are
zero in the Freefonts). Success! No more crazy line spacing in
Openoffice. So far I have not found that this causes any problems
with "real" Linux programs like Mozilla or Abiword.

Of course a little bit more testing is needed, and a clear
explanation of why this works, but I think this is close to the
real solution.

Regards, Jan





Information forwarded to debian-bugs-dist@lists.debian.org, Christian Perrier <bubulle@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <INVALID.NOREPLY@gnu.org>:
Extra info received and forwarded to list. Copy sent to Christian Perrier <bubulle@debian.org>. Full text and rfc822 format available.

Message #357 received at 254113@bugs.debian.org (full text, mbox):

From: Paul Wise <INVALID.NOREPLY@gnu.org>
To: gekylafas@gmail.com, 254113@bugs.debian.org, Eeli Kaikkonen <eekaikko@mail.student.oulu.fi>, Primoz Peterlin <primozz.peterlin@gmail.com>, Christoph Lukas <christoph.lukas@gmx.net>, "Georgios E. Kylafas" <gekylafas@gmail.com>, Christian Perrier <bubulle@debian.org>, Paul Wise <pabs3@bonedaddy.net>
Subject: [bug #15956] Line height is too big in sans and serif
Date: Thu, 13 Jul 2006 01:22:32 +0800
Follow-up Comment #4, bug #15956 (project freefont):

Jan Willem Stumpel has proposed a solution for openoffice:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=254113;msg=352

    _______________________________________________________

Reply to this item at:

  <http://savannah.nongnu.org/bugs/?func=detailitem&item_id=15956>

_______________________________________________
  Message sent via/by Savannah
  http://savannah.nongnu.org/




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #362 received at 254113@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Jan Willem Stumpel <jstumpel@planet.nl>, 254113@bugs.debian.org
Subject: Re: Bug#254113: Fix for Openoffice?
Date: Fri, 14 Jul 2006 12:09:33 +0200
[Message part 1 (text/plain, inline)]
tags 254113 pending
thanks

Quoting Jan Willem Stumpel (jstumpel@planet.nl):
> Openoffice is originally a Windows application which has somehow
> been ported to Linux. So it probably uses the Windows method of
> determining line spacing (see Fontforge FAQ, "How do I set the
> line spacing on a font?"). This means using the OS2WinAscent and
> OS2WinDescent values. In Times New Roman and Arial I found that
> (in the .sfd version of the fonts):
> 
> OS2WinAscent value  = HheadAscent value;
> OS2WinDescent value = negative of HheadDescent value.
> 


You're absolutely right.

I patched all sfd files, rebuilt the package and the vertical spacing
problem is definitely over.

I'll send the patch to upstream.


[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@freedesktop.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #369 received at 254113-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 254113-close@bugs.debian.org
Subject: Bug#254113: fixed in ttf-freefont 20060501cvs-7
Date: Fri, 14 Jul 2006 03:32:13 -0700
Source: ttf-freefont
Source-Version: 20060501cvs-7

We believe that the bug you reported is fixed in the latest version of
ttf-freefont, which is due to be installed in the Debian FTP archive:

ttf-freefont-udeb_20060501cvs-7_all.udeb
  to pool/main/t/ttf-freefont/ttf-freefont-udeb_20060501cvs-7_all.udeb
ttf-freefont_20060501cvs-7.diff.gz
  to pool/main/t/ttf-freefont/ttf-freefont_20060501cvs-7.diff.gz
ttf-freefont_20060501cvs-7.dsc
  to pool/main/t/ttf-freefont/ttf-freefont_20060501cvs-7.dsc
ttf-freefont_20060501cvs-7_all.deb
  to pool/main/t/ttf-freefont/ttf-freefont_20060501cvs-7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 254113@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated ttf-freefont package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 14 Jul 2006 12:09:39 +0200
Source: ttf-freefont
Binary: ttf-freefont-udeb ttf-freefont
Architecture: source all
Version: 20060501cvs-7
Distribution: unstable
Urgency: low
Maintainer: Christian Perrier <bubulle@debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 ttf-freefont - Freefont Serif, Sans and Mono Truetype fonts
 ttf-freefont-udeb - Freefont Sans fonts for the graphical installer (udeb)
Closes: 254113
Changes: 
 ttf-freefont (20060501cvs-7) unstable; urgency=low
 .
   * Fix OS2WinAscent and OS2WinDescent to correct vertical spacing
     in OpenOffice.org. Closes: #254113
Files: 
 e4e81f0012812076965a4abf4e737984 772 x11 extra ttf-freefont_20060501cvs-7.dsc
 8049b4cdaf151952ca0771c3a9cdf938 860484 x11 extra ttf-freefont_20060501cvs-7.diff.gz
 71399c9a762fea6be6257fcc0d16f774 1798686 x11 extra ttf-freefont_20060501cvs-7_all.deb
 09ac93479c8b56939d93d0bb4b0d82a0 384674 debian-installer extra ttf-freefont-udeb_20060501cvs-7_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEt2951OXtrMAUPS0RAqRIAJ9q8Y/pP4vG0VdYK6uF7dv21DTSMwCeNUKt
hlKV85+2jqyNMklIkJ776lc=
=WAbR
-----END PGP SIGNATURE-----




Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@freedesktop.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christian Perrier <bubulle@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <INVALID.NOREPLY@gnu.org>:
Extra info received and forwarded to list. Copy sent to Christian Perrier <bubulle@debian.org>. Full text and rfc822 format available.

Message #379 received at 254113@bugs.debian.org (full text, mbox):

From: Christian Perrier <INVALID.NOREPLY@gnu.org>
To: gekylafas@gmail.com, 254113@bugs.debian.org, Eeli Kaikkonen <eekaikko@mail.student.oulu.fi>, Primoz Peterlin <primozz.peterlin@gmail.com>, Christoph Lukas <christoph.lukas@gmx.net>, "Georgios E. Kylafas" <gekylafas@gmail.com>, Christian Perrier <bubulle@debian.org>, Paul Wise <pabs3@bonedaddy.net>
Subject: [bug #15956] Line height is too big in sans and serif
Date: Fri, 14 Jul 2006 13:06:39 +0000
Follow-up Comment #5, bug #15956 (project freefont):

Jan Willem Stumpel found the very last missing bit of that problem. Vertical
spacing is incorrect in OOo because OS2WinAscent and OS2WinDescent are not
set. Setting them solves the issue.

OS2WinAscent value  = HheadAscent value;
OS2WinDescent value = negative of HheadDescent value.

The attached patch solves all this
    _______________________________________________________

Additional Item Attachment:

File name: 004_workaround-spacing-bug     Size:8 KB

<http://savannah.nongnu.org/bugs/download.php?file_id=10346>

    _______________________________________________________

Reply to this item at:

  <http://savannah.nongnu.org/bugs/?func=detailitem&item_id=15956>

_______________________________________________
  Message posté via/par Savannah
  http://savannah.nongnu.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Christian Perrier <bubulle@debian.org>:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Jan Willem Stumpel <jstumpel@planet.nl>:
Extra info received and forwarded to list. Copy sent to Christian Perrier <bubulle@debian.org>. Full text and rfc822 format available.

Message #384 received at 254113@bugs.debian.org (full text, mbox):

From: Jan Willem Stumpel <jstumpel@planet.nl>
To: Christian Perrier <bubulle@debian.org>
Cc: 254113@bugs.debian.org
Subject: Re: Bug#254113: Fix for Openoffice?
Date: Sat, 15 Jul 2006 09:24:27 +0200
Christian Perrier wrote:
> tags 254113 pending thanks

> I patched all sfd files, rebuilt the package and the vertical
> spacing problem is definitely over.

Thanks -- however, I am not so confident that it is 'definitely'
over. I am still a bit worried that line spacing is almost the
same, but not quite the same, as in Times New Roman and Arial
(according to what I understand now of the rules of typography,
fonts of the same point size should have the same line spacing).

Am still working on this puzzle. Maybe I'll send you another patch
request later (this may take a long time).

I saw the version now in Sid has the st ligature corrected. Great!
However, the others like ff, fl, ffi still give problems. They
give strange effects on web pages with justified text, when viewed
with Firefox. See for instance my own 'font and keyboard page':
http://www.jw-stumpel.nl/stestu.html. See what happens to words
like 'file', 'difficult', 'difference', 'Openoffice' if FreeSerif
is the display font (also when you try to select text in lines
containing such words). This is apparently a bug in Pango (not yet
reported in Debian, but it has been in Ubuntu:
https://launchpad.net/distros/ubuntu/+source/firefox/+bug/37828).
Dejavu, in the meantime, has marked its Latin ligatures as
"discretionary". Until these problems are sorted out, I suggest
the Freefonts do the same.

Regards, Jan





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#254113; Package ttf-freefont. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #389 received at 254113@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Jan Willem Stumpel <jstumpel@planet.nl>
Cc: 254113@bugs.debian.org
Subject: Re: Bug#254113: Fix for Openoffice?
Date: Sat, 15 Jul 2006 09:42:46 +0200
[Message part 1 (text/plain, inline)]
> I saw the version now in Sid has the st ligature corrected. Great!
> However, the others like ff, fl, ffi still give problems. They
> give strange effects on web pages with justified text, when viewed
> with Firefox. See for instance my own 'font and keyboard page':
> http://www.jw-stumpel.nl/stestu.html. See what happens to words
> like 'file', 'difficult', 'difference', 'Openoffice' if FreeSerif
> is the display font (also when you try to select text in lines
> containing such words). This is apparently a bug in Pango (not yet
> reported in Debian, but it has been in Ubuntu:
> https://launchpad.net/distros/ubuntu/+source/firefox/+bug/37828).
> Dejavu, in the meantime, has marked its Latin ligatures as
> "discretionary". Until these problems are sorted out, I suggest
> the Freefonts do the same.


I suggest a separate bug report for this. I thinked about making the
ligatures discretionary yesterday while fixing the "st" ligature but a
few tests with gedit did not convince me that this was completely
needed (while it was obvious for "st").

)

[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 15:30:46 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 08:57:51 GMT) Full text and rfc822 format available.

Bug archived. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 08:57:52 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 09:29:03 GMT) Full text and rfc822 format available.

Changed Bug submitter from Josh Triplett <josh@freedesktop.org> to Josh Triplett <josh@joshtriplett.org>. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 09:29:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 09:29:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:54:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.